--slash commands 
function gHUD_Command(cmd)
--list
	---[[	
	if (cmd=="com") then 
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00" ..Default.name .." - |rCommands:")
		DEFAULT_CHAT_FRAME:AddMessage("- /" ..Default.name)
		DEFAULT_CHAT_FRAME:AddMessage("- /" ..Default.name .." menu")
		DEFAULT_CHAT_FRAME:AddMessage("- /" ..Default.name .." status")
		DEFAULT_CHAT_FRAME:AddMessage("- /" ..Default.name .." fade (TEST)")
		DEFAULT_CHAT_FRAME:AddMessage("- /" ..Default.name .." range (TEST)")

	end
	--]]
--status
	if (cmd=="status") then
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00" ..Default.name .." - |rVersion: |cFFFF0000" ..Default.version)
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00" ..Default.name .." - |rAuthor: |cFFFF0000" ..Default.author)
	end
	
--menu
	if (cmd=="menu") or (cmd=="") then
		gHUDMenu:Show()
		playerNameCBOnLoad()
		targetNameCBOnLoad()
		partyShowCBLoad()
		partyNameCBOnLoad()
		petShowCBLoad()
		petNameCBOnLoad()
		ttShowCBLoad()
		ttNameCBOnLoad()
		defFormatCBOnLoad()
		defModeCBOnLoad()
		flashBarCBOnLoad()
		flashBGCBOnLoad()
		
		playerNameFormatSliderOnLoad()
		bgHeightSliderOnLoad()
		barWidthSliderOnLoad()		
		playerHpXSliderOnLoad()
		playerHpYSliderOnLoad()
		playerMpXSliderOnLoad()
		playerMpYSliderOnLoad()
		playerDefMaxSliderOnLoad()
		playerDefMinSliderOnLoad()
		
		targetNameFormatSliderOnLoad()
		targetHpXSliderOnLoad()
		targetHpYSliderOnLoad()
		targetMpXSliderOnLoad()
		targetMpYSliderOnLoad()
		
		partyNameFormatSliderOnLoad()
		partyHpXSliderOnLoad()
		partyHpYSliderOnLoad()
		partyMpXSliderOnLoad()
		partyMpYSliderOnLoad()
		partyDefMaxSliderOnLoad()
		partyDefMinSliderOnLoad()
		partyGapSliderOnLoad()
		
		petNameFormatSliderOnLoad()
		petHpXSliderOnLoad()
		petHpYSliderOnLoad()
		petMpXSliderOnLoad()
		petMpYSliderOnLoad()
		petDefMaxSliderOnLoad()
		petDefMinSliderOnLoad()
		
		ttNameFormatSliderOnLoad()
		ttHpXSliderOnLoad()
		ttHpYSliderOnLoad()
		ttMpXSliderOnLoad()
		ttMpYSliderOnLoad()
		ttDefMaxSliderOnLoad()
		ttDefMinSliderOnLoad()
		
		updateSliderOnLoad()
		fontSizeSliderOnLoad()
		fontFlagsSliderOnLoad()
		flashInSliderOnLoad()
		flashOutSliderOnLoad()
		flashHoldInSliderOnLoad()
		flashHoldOutSliderOnLoad()	
		fadeAlphaSliderOnLoad()
		fadeAlphaInSliderOnLoad()
		fadeAlphaOutSliderOnLoad()
		
		hpplayerFontDirectionCBOnLoad()
		mpplayerFontDirectionCBOnLoad()
		hptargetFontDirectionCBOnLoad()
		mptargetFontDirectionCBOnLoad()
		hppartyFontDirectionCBOnLoad()
		mppartyFontDirectionCBOnLoad()
		hppetFontDirectionCBOnLoad()
		mppetFontDirectionCBOnLoad()
		hpttFontDirectionCBOnLoad()
		mpttFontDirectionCBOnLoad()
	end
	
--invert TEST ( no longer needed)
	if (cmd=="invert") then
		if (Options.frame.invert.hprelpoint=="BOTTOM") then
			Options.frame.invert.mppoint="BOTTOMLEFT"
			Options.frame.invert.mppoint="BOTTOMRIGHT"
			Options.frame.invert.hprelpoint="BOTTOMRIGHT"
			Options.frame.invert.mprelpoint="BOTTOMLEFT"
			HP_PLAYER_FRAME:ClearAllPoints()
			HP_PLAYER_FRAME:SetPoint(Options.frame.invert.hppoint, nil, Options.frame.invert.hprelpoint, -Options.player.frame.position.x, Options.player.frame.position.y)
			MP_PLAYER_FRAME:ClearAllPoints()
			MP_PLAYER_FRAME:SetPoint(Options.frame.invert.mppoint, nil, Options.frame.invert.mprelpoint, Options.player.frame.position.x, Options.player.frame.position.y)
		else
			Options.frame.invert.hppoint="BOTTOMRIGHT"
			Options.frame.invert.mppoint="BOTTOMLEFT"
			Options.frame.invert.hprelpoint="BOTTOM"
			Options.frame.invert.mprelpoint="BOTTOM"
			HP_PLAYER_FRAME:ClearAllPoints()
			HP_PLAYER_FRAME:SetPoint(Options.frame.invert.hppoint, nil, Options.frame.invert.hprelpoint, -Options.player.frame.position.x, Options.player.frame.position.y)
			MP_PLAYER_FRAME:ClearAllPoints()
			MP_PLAYER_FRAME:SetPoint(Options.frame.invert.mppoint, nil, Options.frame.invert.mprelpoint, Options.player.frame.position.x, Options.player.frame.position.y)
		
		end
	end

--spellcheck
	if (cmd=="range") then
		if (Options.range.active==1) then
			Options.range.active=0
			DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00" ..Default.name .." - |rRange: |cFFFF0000" ..Options.range.active)
		elseif (Options.range.active==0) then
			Options.range.active=1
			DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00" ..Default.name .." - |rRange: |cFFFF0000" ..Options.range.active)
		end
	end
	
--fade	
	if (cmd=="fade") then
		if (Options.fade.active==1) then
			Options.fade.active=0
			DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00" ..Default.name .." - |rFade: |cFFFF0000" ..Options.fade.active)
		elseif (Options.fade.active==0) then
			Options.fade.active=1
			DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00" ..Default.name .." - |rFade: |cFFFF0000" ..Options.fade.active)		
		end
	end
		
end
------------------------------------------------------------------------------------------------------------------
 --mouse up
function gHUD_mouse_OnMouseUp()
		if (this.isMoving) then
		this:StopMovingOrSizing()
		this.isMoving = false
	end
end

--mouse down
function gHUD_mouse_OnMouseDown()
	if (this:IsMovable()) then	
		if ((not this.isLocked) or (this.isLocked == 0) and (arg1 == "LeftButton")) then
			this:StartMoving()
			this.isMoving = true
		end
	end
end
---------------------------------------------------------
function HPPlayerOnMouseDown()
	HP_PLAYER_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function HPPlayerOnMouseUp()
	HP_PLAYER_BAR:SetWidth(Options.player.frame.bar.width)
end
function MPPlayerOnMouseDown()
	MP_PLAYER_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function MPPlayerOnMouseUp()
	MP_PLAYER_BAR:SetWidth(Options.player.frame.bar.width)
end
---------------------------------------------------------
function HPParty1OnMouseDown()
	HP_PARTY1_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function HPParty1OnMouseUp()
	HP_PARTY1_BAR:SetWidth(Options.player.frame.bar.width)
end
function MPParty1OnMouseDown()
	MP_PARTY1_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function MPParty1OnMouseUp()
	MP_PARTY1_BAR:SetWidth(Options.player.frame.bar.width)
end
---------------------------------------------------------
function HPParty2OnMouseDown()
	HP_PARTY2_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function HPParty2OnMouseUp()
	HP_PARTY2_BAR:SetWidth(Options.player.frame.bar.width)
end
function MPParty2OnMouseDown()
	MP_PARTY2_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function MPParty2OnMouseUp()
	MP_PARTY2_BAR:SetWidth(Options.player.frame.bar.width)
end
---------------------------------------------------------
function HPParty3OnMouseDown()
	HP_PARTY3_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function HPParty3OnMouseUp()
	HP_PARTY3_BAR:SetWidth(Options.player.frame.bar.width)
end
function MPParty3OnMouseDown()
	MP_PARTY3_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function MPParty3OnMouseUp()
	MP_PARTY3_BAR:SetWidth(Options.player.frame.bar.width)
end
---------------------------------------------------------
function HPParty4OnMouseDown()
	HP_PARTY4_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function HPParty4OnMouseUp()
	HP_PARTY4_BAR:SetWidth(Options.player.frame.bar.width)
end
function MPParty4OnMouseDown()
	MP_PARTY4_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function MPParty4OnMouseUp()
	MP_PARTY4_BAR:SetWidth(Options.player.frame.bar.width)
end
---------------------------------------------------------
function HPTargetOnMouseDown()
	HP_TARGET_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function HPTargetOnMouseUp()
	HP_TARGET_BAR:SetWidth(Options.player.frame.bar.width)
end
function MPTargetOnMouseDown()
	MP_TARGET_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function MPTargetOnMouseUp()
	MP_TARGET_BAR:SetWidth(Options.player.frame.bar.width)
end
---------------------------------------------------------
function HPPetOnMouseDown()
	HP_PET_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function HPPetOnMouseUp()
	HP_PET_BAR:SetWidth(Options.player.frame.bar.width)
end
function MPPetOnMouseDown()
	MP_PET_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function MPPetOnMouseUp()
	MP_PET_BAR:SetWidth(Options.player.frame.bar.width)
end
---------------------------------------------------------
function HPTargetTargetOnMouseDown()
	HP_TARGETTARGET_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function HPTargetTargetOnMouseUp()
	HP_TARGETTARGET_BAR:SetWidth(Options.player.frame.bar.width)
end
function MPTargetTargetOnMouseDown()
	MP_TARGETTARGET_BAR:SetWidth(Options.player.frame.bar.width-4)
end
function MPTargetTargetOnMouseUp()
	MP_TARGETTARGET_BAR:SetWidth(Options.player.frame.bar.width)
end
------------------------------------------------------------------------------------------------------------------
function playerNameCBOnLoad()
	if (Options.player.name.active==0) then
		playerNameCB:SetChecked(false)
	elseif (Options.player.name.active==1) then
		playerNameCB:SetChecked(true)
	end
end

function playerNameCBOnClick()
	if (playerNameCB:GetChecked(false)) then
		playerNameCB:SetChecked(true)
		Options.player.name.active=1
	else playerNameCB:SetChecked(false)
		Options.player.name.active=0
	end	
end


---------------------------------------------------------
function targetNameCBOnLoad()
	if (Options.target.name.active==0) then
		targetNameCB:SetChecked(false)
	elseif (Options.target.name.active==1) then
		targetNameCB:SetChecked(true)
	end
end

function targetNameCBOnClick()
	if (targetNameCB:GetChecked(false)) then
		targetNameCB:SetChecked(true)
		Options.target.name.active=1
	else targetNameCB:SetChecked(false)
		Options.target.name.active=0
	end	
end
---------------------------------------------------------
function partyShowCBLoad()
	if (Options.party.frame.active==0) then
		showPartyCB:SetChecked(false)
	elseif (Options.party.frame.active==1) then
		showPartyCB:SetChecked(true)
	end
end

function partyShowCBOnClick()
	if (showPartyCB:GetChecked(false)) then
		showPartyCB:SetChecked(true)
		Options.party.frame.active=1
	else showPartyCB:SetChecked(false)
		Options.party.frame.active=0
	end	
end
---------------------------------------------------------
function partyNameCBOnLoad()
	if (Options.party.name.active==0) then
		partyNameCB:SetChecked(false)
	elseif (Options.party.name.active==1) then
		partyNameCB:SetChecked(true)
	end
end

function partyNameCBOnClick()
	if (partyNameCB:GetChecked(false)) then
		partyNameCB:SetChecked(true)
		Options.party.name.active=1
	else partyNameCB:SetChecked(false)
		Options.party.name.active=0
	end	
end
---------------------------------------------------------
function petShowCBLoad()
	if (Options.pet.frame.active==0) then
		showPetCB:SetChecked(false)
	elseif (Options.pet.frame.active==1) then
		showPetCB:SetChecked(true)
	end
end

function petShowCBOnClick()
	if (showPetCB:GetChecked(false)) then
		showPetCB:SetChecked(true)
		Options.pet.frame.active=1
	else showPetCB:SetChecked(false)
		Options.pet.frame.active=0
	end	
end
---------------------------------------------------------
function petNameCBOnLoad()
	if (Options.pet.name.active==0) then
		petNameCB:SetChecked(false)
	elseif (Options.pet.name.active==1) then
		petNameCB:SetChecked(true)
	end
end

function petNameCBOnClick()
	if (petNameCB:GetChecked(false)) then
		petNameCB:SetChecked(true)
		Options.pet.name.active=1
	else petNameCB:SetChecked(false)
		Options.pet.name.active=0
	end	
end
---------------------------------------------------------
function ttShowCBLoad()
	if (Options.tt.frame.active==0) then
		showTTCB:SetChecked(false)
	elseif (Options.tt.frame.active==1) then
		showTTCB:SetChecked(true)
	end
end

function ttShowCBOnClick()
	if (showTTCB:GetChecked(false)) then
		showTTCB:SetChecked(true)
		Options.tt.frame.active=1
	else showTTCB:SetChecked(false)
		Options.tt.frame.active=0
	end	
end
---------------------------------------------------------
function ttNameCBOnLoad()
	if (Options.tt.name.active==0) then
		ttNameCB:SetChecked(false)
	elseif (Options.tt.name.active==1) then
		ttNameCB:SetChecked(true)
	end
end

function ttNameCBOnClick()
	if (ttNameCB:GetChecked(false)) then
		ttNameCB:SetChecked(true)
		Options.tt.name.active=1
	else ttNameCB:SetChecked(false)
		Options.tt.name.active=0
	end	
end
---------------------------------------------------------
function defFormatCBOnLoad()
	if (Options.player.deficit.format==0) then
		defFormatCB:SetChecked(false)
	elseif (Options.player.deficit.format==1) then
		defFormatCB:SetChecked(true)
	end
end

function defFormatCBOnClick()
	if (defFormatCB:GetChecked(false)) then
		defFormatCB:SetChecked(true)
		Options.player.deficit.format=1
	else defFormatCB:SetChecked(false)
		Options.player.deficit.format=0
	end	
end
---------------------------------------------------------
function defModeCBOnLoad()
	if (Options.party.deficit.mode==0) then
		defModeCB:SetChecked(false)
	elseif (Options.party.deficit.mode==1) then
		defModeCB:SetChecked(true)
	end
end

function defModeCBOnClick()
	if (defModeCB:GetChecked(false)) then
		defModeCB:SetChecked(true)
		Options.party.deficit.mode=1
	else defModeCB:SetChecked(false)
		Options.party.deficit.mode=0
	end	
end
---------------------------------------------------------
function flashBarCBOnLoad()
	if (Options.flash.Bar==0) then
		flashBarCB:SetChecked(false)
	elseif (Options.flash.Bar==1) then
		flashBarCB:SetChecked(true)
	end
end

function flashBarCBOnClick()
	if (flashBarCB:GetChecked(false)) then
		flashBarCB:SetChecked(true)
		Options.flash.Bar=1
	else flashBarCB:SetChecked(false)
		Options.flash.Bar=0
	end	
end
---------------------------------------------------------
function flashBGCBOnLoad()
	if (Options.flash.BG==0) then
		flashBGCB:SetChecked(false)
	elseif (Options.flash.BG==1) then
		flashBGCB:SetChecked(true)
	end
end

function flashBGCBOnClick()
	if (flashBGCB:GetChecked(false)) then
		flashBGCB:SetChecked(true)
		Options.flash.BG=1
	else flashBGCB:SetChecked(false)
		Options.flash.BG=0
	end	
end

---------------------------------------------------------
function fadeCBOnLoad()
	if (Options.fade.active==0) then
		fadeCB:SetChecked(false)
	elseif (Options.fade.active==1) then
		fadeCB:SetChecked(true)
	end
end

function fadeCBOnClick()
	if (fadeCB:GetChecked(false)) then
		fadeCB:SetChecked(true)
		Options.fade.active=1
	else fadeCB:SetChecked(false)
		Options.fade.active=0
	end	
end

---------------------------------------------------------
function rangeCBOnLoad()
	if (Options.range.active==0) then
		rangeCB:SetChecked(false)
	elseif (Options.range.active==1) then
		rangeCB:SetChecked(true)
	end
end

function rangeCBOnClick()
	if (rangeCB:GetChecked(false)) then
		rangeCB:SetChecked(true)
		Options.range.active=1
	else rangeCB:SetChecked(false)
		Options.range.active=0
	end	
end
------------------------------------------------------------------------------------------------------------------
function playerNameFormatSliderOnLoad()
	playerNameFormatSlider:SetMinMaxValues(-1,40)
	local sliderMin, sliderMax = playerNameFormatSlider:GetMinMaxValues()
	getglobal(playerNameFormatSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(playerNameFormatSlider:GetName().."High"):SetText(sliderMax)
	playerNameFormatSlider:SetOrientation("HORIZONTAL")
	playerNameFormatSlider:SetValueStep(1)
	playerNameFormatSlider:SetValue(Options.player.name.format)
end

function playerNameFormatSliderOnValueChanged()
	if playerNameFormatSlider:GetValue() then 
		playerNameFormatSlider:SetValue(playerNameFormatSlider:GetValue())
		Options.player.name.format=playerNameFormatSlider:GetValue()
		playerNameFormatStatus:SetText(Options.player.name.format)
	end
end
---------------------------------------------------------
function bgHeightSliderOnLoad()
	bgHeightSlider:SetMinMaxValues(100,500)
	local sliderMin, sliderMax = bgHeightSlider:GetMinMaxValues()
	getglobal(bgHeightSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(bgHeightSlider:GetName().."High"):SetText(sliderMax)
	bgHeightSlider:SetOrientation("HORIZONTAL")
	bgHeightSlider:SetValueStep(1)
	bgHeightSlider:SetValue(Options.player.frame.bg.height)
end

function bgHeightSliderOnValueChanged()
	if bgHeightSlider:GetValue() then 
	
		bgHeightSlider:SetValue(bgHeightSlider:GetValue())
		Options.player.frame.bg.height=bgHeightSlider:GetValue()
		bgHeightStatus:SetText(Options.player.frame.bg.height)
		
		local height = Options.player.frame.bg.height
		
		HP_PLAYER_BG_TEXTURE1:SetHeight(height)
		HP_PLAYER_BG_TEXTURE2:SetHeight(height-2)
		HP_PLAYER_FRAME:SetHeight(height)
		HP_Player_Button:SetHeight(height)
		MP_PLAYER_BG_TEXTURE1:SetHeight(height)
		MP_PLAYER_BG_TEXTURE2:SetHeight(height-2)
		MP_PLAYER_FRAME:SetHeight(height)
		MP_Player_Button:SetHeight(height)
		
		HP_TARGET_BG_TEXTURE1:SetHeight(height)
		HP_TARGET_BG_TEXTURE2:SetHeight(height-2)
		HP_TARGET_FRAME:SetHeight(height)
		HP_Target_Button:SetHeight(height)
		MP_TARGET_BG_TEXTURE1:SetHeight(height)
		MP_TARGET_BG_TEXTURE2:SetHeight(height-2)
		MP_TARGET_FRAME:SetHeight(height)
		MP_Target_Button:SetHeight(height)
		
		HP_PET_BG_TEXTURE1:SetHeight(height/2)
		HP_PET_BG_TEXTURE2:SetHeight((height/2)-2)
		HP_PET_FRAME:SetHeight(height/2)
		HP_Pet_Button:SetHeight(height/2)
		MP_PET_BG_TEXTURE1:SetHeight(height/2)
		MP_PET_BG_TEXTURE2:SetHeight((height/2)-2)
		MP_PET_FRAME:SetHeight(height/2)
		MP_Pet_Button:SetHeight(height/2)
		
		HP_TARGETTARGET_BG_TEXTURE1:SetHeight(height/2)
		HP_TARGETTARGET_BG_TEXTURE2:SetHeight((height/2)-2)
		HP_TARGETTARGET_FRAME:SetHeight(height/2)
		HP_TargetTarget_Button:SetHeight(height/2)
		MP_TARGETTARGET_BG_TEXTURE1:SetHeight(height/2)
		MP_TARGETTARGET_BG_TEXTURE2:SetHeight((height/2)-2)
		MP_TARGETTARGET_FRAME:SetHeight(height/2)
		MP_TargetTarget_Button:SetHeight(height/2)
		
		partyGapSlider:SetMinMaxValues(1,Options.player.frame.bg.height/4)
		local sliderMin, sliderMax = partyGapSlider:GetMinMaxValues()
		getglobal(partyGapSlider:GetName().."Low"):SetText(sliderMin)
		getglobal(partyGapSlider:GetName().."High"):SetText(sliderMax)
	end
end

---------------------------------------------------------
function barWidthSliderOnLoad()
	barWidthSlider:SetMinMaxValues(5,100)
	local sliderMin, sliderMax = barWidthSlider:GetMinMaxValues()
	getglobal(barWidthSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(barWidthSlider:GetName().."High"):SetText(sliderMax)
	barWidthSlider:SetOrientation("HORIZONTAL")
	barWidthSlider:SetValueStep(1)
	barWidthSlider:SetValue(Options.player.frame.bar.width)
end

function barWidthSliderOnValueChanged()
	if barWidthSlider:GetValue() then 
		barWidthSlider:SetValue(barWidthSlider:GetValue())
		Options.player.frame.bar.width=barWidthSlider:GetValue()
		Options.player.frame.bg.width=barWidthSlider:GetValue()
		barWidthStatus:SetText(Options.player.frame.bar.width)
		
	local bar_width = Options.player.frame.bar.width
	local bg_width = Options.player.frame.bg.width
	
		HP_PLAYER_BG_TEXTURE1:SetWidth(bg_width)
		HP_PLAYER_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PLAYER_BAR:SetWidth(bar_width)
		HP_PLAYER_FRAME:SetWidth(bg_width)
		HP_Player_Button:SetWidth(bg_width)
		MP_PLAYER_BG_TEXTURE1:SetWidth(bg_width)
		MP_PLAYER_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PLAYER_BAR:SetWidth(bar_width)
		MP_PLAYER_FRAME:SetWidth(bg_width)
		MP_Player_Button:SetWidth(bg_width)
		
		HP_TARGET_BG_TEXTURE1:SetWidth(bg_width)
		HP_TARGET_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_TARGET_BAR:SetWidth(bar_width)
		HP_TARGET_FRAME:SetWidth(bg_width)
		HP_Target_Button:SetWidth(bg_width)
		MP_TARGET_BG_TEXTURE1:SetWidth(bg_width)
		MP_TARGET_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_TARGET_BAR:SetWidth(bar_width)
		MP_TARGET_FRAME:SetWidth(bg_width)
		MP_Target_Button:SetWidth(bg_width)
		
		HP_PARTY1_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTY1_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTY1_BAR:SetWidth(bar_width)
		HP_PARTY1_FRAME:SetWidth(bg_width)
		HP_Party1_Button:SetWidth(bg_width)
		MP_PARTY1_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTY1_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTY1_BAR:SetWidth(bar_width)
		MP_PARTY1_FRAME:SetWidth(bg_width)
		MP_Party1_Button:SetWidth(bg_width)
		
		HP_PARTY2_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTY2_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTY2_BAR:SetWidth(bar_width)
		HP_PARTY2_FRAME:SetWidth(bg_width)
		HP_Party2_Button:SetWidth(bg_width)
		MP_PARTY2_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTY2_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTY2_BAR:SetWidth(bar_width)
		MP_PARTY2_FRAME:SetWidth(bg_width)
		MP_Party2_Button:SetWidth(bg_width)
		
		HP_PARTY3_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTY3_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTY3_BAR:SetWidth(bar_width)
		HP_PARTY3_FRAME:SetWidth(bg_width)
		HP_Party3_Button:SetWidth(bg_width)
		MP_PARTY3_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTY3_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTY3_BAR:SetWidth(bar_width)
		MP_PARTY3_FRAME:SetWidth(bg_width)
		MP_Party3_Button:SetWidth(bg_width)
		
		HP_PARTY4_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTY4_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTY4_BAR:SetWidth(bar_width)
		HP_PARTY4_FRAME:SetWidth(bg_width)
		HP_Party4_Button:SetWidth(bg_width)
		MP_PARTY4_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTY4_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTY4_BAR:SetWidth(bar_width)
		MP_PARTY4_FRAME:SetWidth(bg_width)
		MP_Party4_Button:SetWidth(bg_width)
		
		HP_PET_BG_TEXTURE1:SetWidth(bg_width)
		HP_PET_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PET_BAR:SetWidth(bar_width)
		HP_PET_FRAME:SetWidth(bg_width)
		HP_Pet_Button:SetWidth(bg_width)
		MP_PET_BG_TEXTURE1:SetWidth(bg_width)
		MP_PET_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PET_BAR:SetWidth(bar_width)
		MP_PET_FRAME:SetWidth(bg_width)
		MP_Pet_Button:SetWidth(bg_width)
		
		HP_TARGETTARGET_BG_TEXTURE1:SetWidth(bg_width)
		HP_TARGETTARGET_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_TARGETTARGET_BAR:SetWidth(bar_width)
		HP_TARGETTARGET_FRAME:SetWidth(bg_width)
		HP_TargetTarget_Button:SetWidth(bg_width)
		MP_TARGETTARGET_BG_TEXTURE1:SetWidth(bg_width)
		MP_TARGETTARGET_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_TARGETTARGET_BAR:SetWidth(bar_width)
		MP_TARGETTARGET_FRAME:SetWidth(bg_width)
		MP_TargetTarget_Button:SetWidth(bg_width)
	end
end
---------------------------------------------------------
function playerHpXSliderOnLoad()
	playerHpXSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = playerHpXSlider:GetMinMaxValues()
	getglobal(playerHpXSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(playerHpXSlider:GetName().."High"):SetText(sliderMax)
	playerHpXSlider:SetOrientation("HORIZONTAL")
	playerHpXSlider:SetValueStep(1)
	playerHpXSlider:SetValue(Options.player.frame.position.hpx)
end

function playerHpXSliderOnValueChanged()
	if playerHpXSlider:GetValue() then 
		playerHpXSlider:SetValue(playerHpXSlider:GetValue())
		Options.player.frame.position.hpx=playerHpXSlider:GetValue()
		playerHpXStatus:SetText(Options.player.frame.position.hpx)
		
		HP_PLAYER_FRAME:ClearAllPoints()
		HP_PLAYER_FRAME:SetPoint(Options.frame.invert.hppoint, nil, Options.frame.invert.hprelpoint, Options.player.frame.position.hpx, Options.player.frame.position.hpy)
	end
end
---------------------------------------------------------
function playerHpYSliderOnLoad()
	playerHpYSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = playerHpYSlider:GetMinMaxValues()
	getglobal(playerHpYSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(playerHpYSlider:GetName().."High"):SetText(sliderMax)
	playerHpYSlider:SetOrientation("HORIZONTAL")
	playerHpYSlider:SetValueStep(1)
	playerHpYSlider:SetValue(Options.player.frame.position.hpy)
end

function playerHpYSliderOnValueChanged()
	if playerHpYSlider:GetValue() then 
		playerHpYSlider:SetValue(playerHpYSlider:GetValue())
		Options.player.frame.position.hpy=playerHpYSlider:GetValue()
		playerHpYStatus:SetText(Options.player.frame.position.hpy)
		
		HP_PLAYER_FRAME:ClearAllPoints()
		HP_PLAYER_FRAME:SetPoint(Options.frame.invert.hppoint, nil, Options.frame.invert.hprelpoint, Options.player.frame.position.hpx, Options.player.frame.position.hpy)
	end
end		
---------------------------------------------------------
function playerMpXSliderOnLoad()
	playerMpXSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = playerMpXSlider:GetMinMaxValues()
	getglobal(playerMpXSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(playerMpXSlider:GetName().."High"):SetText(sliderMax)
	playerMpXSlider:SetOrientation("HORIZONTAL")
	playerMpXSlider:SetValueStep(1)
	playerMpXSlider:SetValue(Options.player.frame.position.mpx)
end

function playerMpXSliderOnValueChanged()
	if playerMpXSlider:GetValue() then 
		playerMpXSlider:SetValue(playerMpXSlider:GetValue())
		Options.player.frame.position.mpx=playerMpXSlider:GetValue()
		playerMpXStatus:SetText(Options.player.frame.position.mpx)
		
		MP_PLAYER_FRAME:ClearAllPoints()
		MP_PLAYER_FRAME:SetPoint(Options.frame.invert.mppoint, nil, Options.frame.invert.mprelpoint, Options.player.frame.position.mpx, Options.player.frame.position.mpy)
	end
end
---------------------------------------------------------
function playerMpYSliderOnLoad()
	playerMpYSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = playerMpYSlider:GetMinMaxValues()
	getglobal(playerMpYSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(playerMpYSlider:GetName().."High"):SetText(sliderMax)
	playerMpYSlider:SetOrientation("HORIZONTAL")
	playerMpYSlider:SetValueStep(1)
	playerMpYSlider:SetValue(Options.player.frame.position.mpy)
end

function playerMpYSliderOnValueChanged()
	if playerMpYSlider:GetValue() then 
		playerMpYSlider:SetValue(playerMpYSlider:GetValue())
		Options.player.frame.position.mpy=playerMpYSlider:GetValue()
		playerMpYStatus:SetText(Options.player.frame.position.mpy)
		
		MP_PLAYER_FRAME:ClearAllPoints()
		MP_PLAYER_FRAME:SetPoint(Options.frame.invert.mppoint, nil, Options.frame.invert.mprelpoint, Options.player.frame.position.mpx, Options.player.frame.position.mpy)
	end
end	
---------------------------------------------------------
function playerDefMaxSliderOnLoad()
	playerDefMaxSlider:SetMinMaxValues(0,100)
	local sliderMin, sliderMax = playerDefMaxSlider:GetMinMaxValues()
	getglobal(playerDefMaxSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(playerDefMaxSlider:GetName().."High"):SetText(sliderMax)
	playerDefMaxSlider:SetOrientation("HORIZONTAL")
	playerDefMaxSlider:SetValueStep(1)
	playerDefMaxSlider:SetValue(Options.player.deficit.max*100)
end

function playerDefMaxSliderOnValueChanged()
	if playerDefMaxSlider:GetValue() then 
		playerDefMaxSlider:SetValue(playerDefMaxSlider:GetValue())
		Options.player.deficit.max=playerDefMaxSlider:GetValue()/100
		playerDefMaxStatus:SetText(Options.player.deficit.max*100)
	end
end	
---------------------------------------------------------
function playerDefMinSliderOnLoad()
	playerDefMinSlider:SetMinMaxValues(0,100)
	local sliderMin, sliderMax = playerDefMinSlider:GetMinMaxValues()
	getglobal(playerDefMinSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(playerDefMinSlider:GetName().."High"):SetText(sliderMax)
	playerDefMinSlider:SetOrientation("HORIZONTAL")
	playerDefMinSlider:SetValueStep(1)
	playerDefMinSlider:SetValue(Options.player.deficit.min*100)
end

function playerDefMinSliderOnValueChanged()
	if playerDefMinSlider:GetValue() then 
		playerDefMinSlider:SetValue(playerDefMinSlider:GetValue())
		Options.player.deficit.min=playerDefMinSlider:GetValue()/100
		playerDefMinStatus:SetText(Options.player.deficit.min*100)
	end
end	
------------------------------------------------------------------------------------------------------------------
function targetNameFormatSliderOnLoad()
	targetNameFormatSlider:SetMinMaxValues(-1,40)
	local sliderMin, sliderMax = targetNameFormatSlider:GetMinMaxValues()
	getglobal(targetNameFormatSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(targetNameFormatSlider:GetName().."High"):SetText(sliderMax)
	targetNameFormatSlider:SetOrientation("HORIZONTAL")
	targetNameFormatSlider:SetValueStep(1)
	targetNameFormatSlider:SetValue(Options.target.name.format)
end

function targetNameFormatSliderOnValueChanged()
	if targetNameFormatSlider:GetValue() then 
		targetNameFormatSlider:SetValue(targetNameFormatSlider:GetValue())
		Options.target.name.format=targetNameFormatSlider:GetValue()
		targetNameFormatStatus:SetText(Options.target.name.format)
	end
end
---------------------------------------------------------
function targetHpXSliderOnLoad()
	targetHpXSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = targetHpXSlider:GetMinMaxValues()
	getglobal(targetHpXSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(targetHpXSlider:GetName().."High"):SetText(sliderMax)
	targetHpXSlider:SetOrientation("HORIZONTAL")
	targetHpXSlider:SetValueStep(1)
	targetHpXSlider:SetValue(Options.target.frame.position.hpx)
end

function targetHpXSliderOnValueChanged()
	if targetHpXSlider:GetValue() then 
		targetHpXSlider:SetValue(targetHpXSlider:GetValue())
		Options.target.frame.position.hpx=targetHpXSlider:GetValue()
		targetHpXStatus:SetText(Options.target.frame.position.hpx)
		
		HP_TARGET_FRAME:ClearAllPoints()
		HP_TARGET_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.target.frame.position.hpx, Options.target.frame.position.hpy)
	end
end
---------------------------------------------------------
function targetHpYSliderOnLoad()
	targetHpYSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = targetHpYSlider:GetMinMaxValues()
	getglobal(targetHpYSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(targetHpYSlider:GetName().."High"):SetText(sliderMax)
	targetHpYSlider:SetOrientation("HORIZONTAL")
	targetHpYSlider:SetValueStep(1)
	targetHpYSlider:SetValue(Options.target.frame.position.hpy)
end

function targetHpYSliderOnValueChanged()
	if targetHpYSlider:GetValue() then 
		targetHpYSlider:SetValue(targetHpYSlider:GetValue())
		Options.target.frame.position.hpy=targetHpYSlider:GetValue()
		targetHpYStatus:SetText(Options.target.frame.position.hpy)
		
		HP_TARGET_FRAME:ClearAllPoints()
		HP_TARGET_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.target.frame.position.hpx, Options.target.frame.position.hpy)
	end
end
---------------------------------------------------------
function targetMpXSliderOnLoad()
	targetMpXSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = targetMpXSlider:GetMinMaxValues()
	getglobal(targetMpXSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(targetMpXSlider:GetName().."High"):SetText(sliderMax)
	targetMpXSlider:SetOrientation("HORIZONTAL")
	targetMpXSlider:SetValueStep(1)
	targetMpXSlider:SetValue(Options.target.frame.position.mpx)
end

function targetMpXSliderOnValueChanged()
	if targetMpXSlider:GetValue() then 
		targetMpXSlider:SetValue(targetMpXSlider:GetValue())
		Options.target.frame.position.mpx=targetMpXSlider:GetValue()
		targetMpXStatus:SetText(Options.target.frame.position.mpx)
		
		MP_TARGET_FRAME:ClearAllPoints()
		MP_TARGET_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.target.frame.position.mpx, Options.target.frame.position.mpy)
	end
end
---------------------------------------------------------
function targetMpYSliderOnLoad()
	targetMpYSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = targetMpYSlider:GetMinMaxValues()
	getglobal(targetMpYSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(targetMpYSlider:GetName().."High"):SetText(sliderMax)
	targetMpYSlider:SetOrientation("HORIZONTAL")
	targetMpYSlider:SetValueStep(1)
	targetMpYSlider:SetValue(Options.target.frame.position.mpy)
end

function targetMpYSliderOnValueChanged()
	if targetMpYSlider:GetValue() then 
		targetMpYSlider:SetValue(targetMpYSlider:GetValue())
		Options.target.frame.position.mpy=targetMpYSlider:GetValue()
		targetMpYStatus:SetText(Options.target.frame.position.mpy)
		
		MP_TARGET_FRAME:ClearAllPoints()
		MP_TARGET_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.target.frame.position.mpx, Options.target.frame.position.mpy)
	end
end
------------------------------------------------------------------------------------------------------------------
function partyNameFormatSliderOnLoad()
	partyNameFormatSlider:SetMinMaxValues(1,40)
	local sliderMin, sliderMax = partyNameFormatSlider:GetMinMaxValues()
	getglobal(partyNameFormatSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(partyNameFormatSlider:GetName().."High"):SetText(sliderMax)
	partyNameFormatSlider:SetOrientation("HORIZONTAL")
	partyNameFormatSlider:SetValueStep(1)
	partyNameFormatSlider:SetValue(Options.party.name.format)
end

function partyNameFormatSliderOnValueChanged()
	if partyNameFormatSlider:GetValue() then 
		partyNameFormatSlider:SetValue(partyNameFormatSlider:GetValue())
		Options.party.name.format=partyNameFormatSlider:GetValue()
		partyNameFormatStatus:SetText(Options.party.name.format)
	end
end
---------------------------------------------------------
function partyHpXSliderOnLoad()
	partyHpXSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = partyHpXSlider:GetMinMaxValues()
	getglobal(partyHpXSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(partyHpXSlider:GetName().."High"):SetText(sliderMax)
	partyHpXSlider:SetOrientation("HORIZONTAL")
	partyHpXSlider:SetValueStep(1)
	partyHpXSlider:SetValue(Options.party.frame.position.hpx)
end

function partyHpXSliderOnValueChanged()
	if partyHpXSlider:GetValue() then 
		partyHpXSlider:SetValue(partyHpXSlider:GetValue())
		Options.party.frame.position.hpx=partyHpXSlider:GetValue()
		partyHpXStatus:SetText(Options.party.frame.position.hpx)
		
		HP_PARTY1_FRAME:ClearAllPoints()
		HP_PARTY1_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.party.frame.position.hpx, Options.party.frame.position.hpy)
	end
end
---------------------------------------------------------
function partyHpYSliderOnLoad()
	partyHpYSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = partyHpYSlider:GetMinMaxValues()
	getglobal(partyHpYSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(partyHpYSlider:GetName().."High"):SetText(sliderMax)
	partyHpYSlider:SetOrientation("HORIZONTAL")
	partyHpYSlider:SetValueStep(1)
	partyHpYSlider:SetValue(Options.party.frame.position.hpy)
end

function partyHpYSliderOnValueChanged()
	if partyHpYSlider:GetValue() then 
		partyHpYSlider:SetValue(partyHpYSlider:GetValue())
		Options.party.frame.position.hpy=partyHpYSlider:GetValue()
		partyHpYStatus:SetText(Options.party.frame.position.hpy)
		
		HP_PARTY1_FRAME:ClearAllPoints()
		HP_PARTY1_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.party.frame.position.hpx, Options.party.frame.position.hpy)
	end
end
---------------------------------------------------------
function partyMpXSliderOnLoad()
	partyMpXSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = partyMpXSlider:GetMinMaxValues()
	getglobal(partyMpXSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(partyMpXSlider:GetName().."High"):SetText(sliderMax)
	partyMpXSlider:SetOrientation("HORIZONTAL")
	partyMpXSlider:SetValueStep(1)
	partyMpXSlider:SetValue(Options.party.frame.position.mpx)
end

function partyMpXSliderOnValueChanged()
	if partyMpXSlider:GetValue() then 
		partyMpXSlider:SetValue(partyMpXSlider:GetValue())
		Options.party.frame.position.mpx=partyMpXSlider:GetValue()
		partyMpXStatus:SetText(Options.party.frame.position.mpx)
		
		MP_PARTY1_FRAME:ClearAllPoints()
		MP_PARTY1_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.party.frame.position.mpx, Options.party.frame.position.mpy)
	end
end
---------------------------------------------------------
function partyMpYSliderOnLoad()
	partyMpYSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = partyMpYSlider:GetMinMaxValues()
	getglobal(partyMpYSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(partyMpYSlider:GetName().."High"):SetText(sliderMax)
	partyMpYSlider:SetOrientation("HORIZONTAL")
	partyMpYSlider:SetValueStep(1)
	partyMpYSlider:SetValue(Options.party.frame.position.mpy)
end

function partyMpYSliderOnValueChanged()
	if partyMpYSlider:GetValue() then 
		partyMpYSlider:SetValue(partyMpYSlider:GetValue())
		Options.party.frame.position.mpy=partyMpYSlider:GetValue()
		partyMpYStatus:SetText(Options.party.frame.position.mpy)
		
		MP_PARTY1_FRAME:ClearAllPoints()
		MP_PARTY1_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.party.frame.position.mpx, Options.party.frame.position.mpy)
	end
end
---------------------------------------------------------
function partyDefMaxSliderOnLoad()
	partyDefMaxSlider:SetMinMaxValues(0,100)
	local sliderMin, sliderMax = partyDefMaxSlider:GetMinMaxValues()
	getglobal(partyDefMaxSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(partyDefMaxSlider:GetName().."High"):SetText(sliderMax)
	partyDefMaxSlider:SetOrientation("HORIZONTAL")
	partyDefMaxSlider:SetValueStep(1)
	partyDefMaxSlider:SetValue(Options.party.deficit.max*100)
end

function partyDefMaxSliderOnValueChanged()
	if partyDefMaxSlider:GetValue() then 
		partyDefMaxSlider:SetValue(partyDefMaxSlider:GetValue())
		Options.party.deficit.max=partyDefMaxSlider:GetValue()/100
		partyDefMaxStatus:SetText(Options.party.deficit.max*100)
	end
end	
---------------------------------------------------------
function partyDefMinSliderOnLoad()
	partyDefMinSlider:SetMinMaxValues(0,100)
	local sliderMin, sliderMax = partyDefMinSlider:GetMinMaxValues()
	getglobal(partyDefMinSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(partyDefMinSlider:GetName().."High"):SetText(sliderMax)
	partyDefMinSlider:SetOrientation("HORIZONTAL")
	partyDefMinSlider:SetValueStep(1)
	partyDefMinSlider:SetValue(Options.party.deficit.min*100)
end

function partyDefMinSliderOnValueChanged()
	if partyDefMinSlider:GetValue() then 
		partyDefMinSlider:SetValue(partyDefMinSlider:GetValue())
		Options.party.deficit.min=partyDefMinSlider:GetValue()/100
		partyDefMinStatus:SetText(Options.party.deficit.min*100)
	end
end	
---------------------------------------------------------
function partyGapSliderOnLoad()
	partyGapSlider:SetMinMaxValues(1,Options.player.frame.bg.height/4)
	local sliderMin, sliderMax = partyGapSlider:GetMinMaxValues()
	getglobal(partyGapSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(partyGapSlider:GetName().."High"):SetText(sliderMax)
	partyGapSlider:SetOrientation("HORIZONTAL")
	partyGapSlider:SetValueStep(1)
	partyGapSlider:SetValue(Options.party.frame.gap)
end

function partyGapSliderOnValueChanged()
	if partyGapSlider:GetValue() then 
		partyGapSlider:SetValue(partyGapSlider:GetValue())
		Options.party.frame.gap=partyGapSlider:GetValue()
		partyGapStatus:SetText(Options.party.frame.gap)
		
		HP_PARTY2_FRAME:ClearAllPoints()
		HP_PARTY2_FRAME:SetPoint("BOTTOM", HP_PARTY1_FRAME, "TOP", 0, Options.party.frame.gap)
		MP_PARTY2_FRAME:ClearAllPoints()
		MP_PARTY2_FRAME:SetPoint("BOTTOM", MP_PARTY1_FRAME, "TOP", 0, Options.party.frame.gap)
		
		HP_PARTY3_FRAME:ClearAllPoints()
		HP_PARTY3_FRAME:SetPoint("BOTTOM", HP_PARTY2_FRAME, "TOP", 0, Options.party.frame.gap)
		MP_PARTY3_FRAME:ClearAllPoints()
		MP_PARTY3_FRAME:SetPoint("BOTTOM", MP_PARTY2_FRAME, "TOP", 0, Options.party.frame.gap)
			
		HP_PARTY4_FRAME:ClearAllPoints()
		HP_PARTY4_FRAME:SetPoint("BOTTOM", HP_PARTY3_FRAME, "TOP", 0, Options.party.frame.gap)
		MP_PARTY4_FRAME:ClearAllPoints()
		MP_PARTY4_FRAME:SetPoint("BOTTOM", MP_PARTY3_FRAME, "TOP", 0, Options.party.frame.gap)
	end
end
------------------------------------------------------------------------------------------------------------------
function petNameFormatSliderOnLoad()
	petNameFormatSlider:SetMinMaxValues(1,40)
	local sliderMin, sliderMax = petNameFormatSlider:GetMinMaxValues()
	getglobal(petNameFormatSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(petNameFormatSlider:GetName().."High"):SetText(sliderMax)
	petNameFormatSlider:SetOrientation("HORIZONTAL")
	petNameFormatSlider:SetValueStep(1)
	petNameFormatSlider:SetValue(Options.pet.name.format)
end

function petNameFormatSliderOnValueChanged()
	if petNameFormatSlider:GetValue() then 
		petNameFormatSlider:SetValue(petNameFormatSlider:GetValue())
		Options.pet.name.format=petNameFormatSlider:GetValue()
		petNameFormatStatus:SetText(Options.pet.name.format)
	end
end
---------------------------------------------------------
function petHpXSliderOnLoad()
	petHpXSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = petHpXSlider:GetMinMaxValues()
	getglobal(petHpXSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(petHpXSlider:GetName().."High"):SetText(sliderMax)
	petHpXSlider:SetOrientation("HORIZONTAL")
	petHpXSlider:SetValueStep(1)
	petHpXSlider:SetValue(Options.pet.frame.position.hpx)
end

function petHpXSliderOnValueChanged()
	if petHpXSlider:GetValue() then 
		petHpXSlider:SetValue(petHpXSlider:GetValue())
		Options.pet.frame.position.hpx=petHpXSlider:GetValue()
		petHpXStatus:SetText(Options.pet.frame.position.hpx)
		
		HP_PET_FRAME:ClearAllPoints()
		HP_PET_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.pet.frame.position.hpx, Options.pet.frame.position.hpy)
	end
end
---------------------------------------------------------
function petHpYSliderOnLoad()
	petHpYSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = petHpYSlider:GetMinMaxValues()
	getglobal(petHpYSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(petHpYSlider:GetName().."High"):SetText(sliderMax)
	petHpYSlider:SetOrientation("HORIZONTAL")
	petHpYSlider:SetValueStep(1)
	petHpYSlider:SetValue(Options.pet.frame.position.hpy)
end

function petHpYSliderOnValueChanged()
	if petHpYSlider:GetValue() then 
		petHpYSlider:SetValue(petHpYSlider:GetValue())
		Options.pet.frame.position.hpy=petHpYSlider:GetValue()
		petHpYStatus:SetText(Options.pet.frame.position.hpy)
		
		HP_PET_FRAME:ClearAllPoints()
		HP_PET_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.pet.frame.position.hpx, Options.pet.frame.position.hpy)
	end
end
---------------------------------------------------------
function petMpXSliderOnLoad()
	petMpXSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = petMpXSlider:GetMinMaxValues()
	getglobal(petMpXSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(petMpXSlider:GetName().."High"):SetText(sliderMax)
	petMpXSlider:SetOrientation("HORIZONTAL")
	petMpXSlider:SetValueStep(1)
	petMpXSlider:SetValue(Options.pet.frame.position.mpx)
end

function petMpXSliderOnValueChanged()
	if petMpXSlider:GetValue() then 
		petMpXSlider:SetValue(petMpXSlider:GetValue())
		Options.pet.frame.position.mpx=petMpXSlider:GetValue()
		petMpXStatus:SetText(Options.pet.frame.position.mpx)
		
		MP_PET_FRAME:ClearAllPoints()
		MP_PET_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.pet.frame.position.mpx, Options.pet.frame.position.mpy)
	end
end
---------------------------------------------------------
function petMpYSliderOnLoad()
	petMpYSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = petMpYSlider:GetMinMaxValues()
	getglobal(petMpYSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(petMpYSlider:GetName().."High"):SetText(sliderMax)
	petMpYSlider:SetOrientation("HORIZONTAL")
	petMpYSlider:SetValueStep(1)
	petMpYSlider:SetValue(Options.pet.frame.position.mpy)
end

function petMpYSliderOnValueChanged()
	if petMpYSlider:GetValue() then 
		petMpYSlider:SetValue(petMpYSlider:GetValue())
		Options.pet.frame.position.mpy=petMpYSlider:GetValue()
		petMpYStatus:SetText(Options.pet.frame.position.mpy)
		
		MP_PET_FRAME:ClearAllPoints()
		MP_PET_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.pet.frame.position.mpx, Options.pet.frame.position.mpy)
	end
end
---------------------------------------------------------
function petDefMaxSliderOnLoad()
	petDefMaxSlider:SetMinMaxValues(0,100)
	local sliderMin, sliderMax = petDefMaxSlider:GetMinMaxValues()
	getglobal(petDefMaxSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(petDefMaxSlider:GetName().."High"):SetText(sliderMax)
	petDefMaxSlider:SetOrientation("HORIZONTAL")
	petDefMaxSlider:SetValueStep(1)
	petDefMaxSlider:SetValue(Options.pet.deficit.max*100)
end

function petDefMaxSliderOnValueChanged()
	if petDefMaxSlider:GetValue() then 
		petDefMaxSlider:SetValue(petDefMaxSlider:GetValue())
		Options.pet.deficit.max=petDefMaxSlider:GetValue()/100
		petDefMaxStatus:SetText(Options.pet.deficit.max*100)
	end
end	
---------------------------------------------------------
function petDefMinSliderOnLoad()
	petDefMinSlider:SetMinMaxValues(0,100)
	local sliderMin, sliderMax = petDefMinSlider:GetMinMaxValues()
	getglobal(petDefMinSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(petDefMinSlider:GetName().."High"):SetText(sliderMax)
	petDefMinSlider:SetOrientation("HORIZONTAL")
	petDefMinSlider:SetValueStep(1)
	petDefMinSlider:SetValue(Options.pet.deficit.min*100)
end

function petDefMinSliderOnValueChanged()
	if petDefMinSlider:GetValue() then 
		petDefMinSlider:SetValue(petDefMinSlider:GetValue())
		Options.pet.deficit.min=petDefMinSlider:GetValue()/100
		petDefMinStatus:SetText(Options.pet.deficit.min*100)
	end
end	
------------------------------------------------------------------------------------------------------------------
function ttNameFormatSliderOnLoad()
	ttNameFormatSlider:SetMinMaxValues(1,40)
	local sliderMin, sliderMax = ttNameFormatSlider:GetMinMaxValues()
	getglobal(ttNameFormatSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(ttNameFormatSlider:GetName().."High"):SetText(sliderMax)
	ttNameFormatSlider:SetOrientation("HORIZONTAL")
	ttNameFormatSlider:SetValueStep(1)
	ttNameFormatSlider:SetValue(Options.tt.name.format)
end

function ttNameFormatSliderOnValueChanged()
	if ttNameFormatSlider:GetValue() then 
		ttNameFormatSlider:SetValue(ttNameFormatSlider:GetValue())
		Options.tt.name.format=ttNameFormatSlider:GetValue()
		ttNameFormatStatus:SetText(Options.tt.name.format)
	end
end
---------------------------------------------------------
function ttHpXSliderOnLoad()
	ttHpXSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = ttHpXSlider:GetMinMaxValues()
	getglobal(ttHpXSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(ttHpXSlider:GetName().."High"):SetText(sliderMax)
	ttHpXSlider:SetOrientation("HORIZONTAL")
	ttHpXSlider:SetValueStep(1)
	ttHpXSlider:SetValue(Options.tt.frame.position.hpx)
end

function ttHpXSliderOnValueChanged()
	if ttHpXSlider:GetValue() then 
		ttHpXSlider:SetValue(ttHpXSlider:GetValue())
		Options.tt.frame.position.hpx=ttHpXSlider:GetValue()
		ttHpXStatus:SetText(Options.tt.frame.position.hpx)
		
		HP_TARGETTARGET_FRAME:ClearAllPoints()
		HP_TARGETTARGET_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.tt.frame.position.hpx, Options.tt.frame.position.hpy)
	end
end
---------------------------------------------------------
function ttHpYSliderOnLoad()
	ttHpYSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = ttHpYSlider:GetMinMaxValues()
	getglobal(ttHpYSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(ttHpYSlider:GetName().."High"):SetText(sliderMax)
	ttHpYSlider:SetOrientation("HORIZONTAL")
	ttHpYSlider:SetValueStep(1)
	ttHpYSlider:SetValue(Options.tt.frame.position.hpy)
end

function ttHpYSliderOnValueChanged()
	if ttHpYSlider:GetValue() then 
		ttHpYSlider:SetValue(ttHpYSlider:GetValue())
		Options.tt.frame.position.hpy=ttHpYSlider:GetValue()
		ttHpYStatus:SetText(Options.tt.frame.position.hpy)
		
		HP_TARGETTARGET_FRAME:ClearAllPoints()
		HP_TARGETTARGET_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.tt.frame.position.hpx, Options.tt.frame.position.hpy)
	end
end
---------------------------------------------------------
function ttMpXSliderOnLoad()
	ttMpXSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = ttMpXSlider:GetMinMaxValues()
	getglobal(ttMpXSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(ttMpXSlider:GetName().."High"):SetText(sliderMax)
	ttMpXSlider:SetOrientation("HORIZONTAL")
	ttMpXSlider:SetValueStep(1)
	ttMpXSlider:SetValue(Options.tt.frame.position.mpx)
end

function ttMpXSliderOnValueChanged()
	if ttMpXSlider:GetValue() then 
		ttMpXSlider:SetValue(ttMpXSlider:GetValue())
		Options.tt.frame.position.mpx=ttMpXSlider:GetValue()
		ttMpXStatus:SetText(Options.tt.frame.position.mpx)
		
		MP_TARGETTARGET_FRAME:ClearAllPoints()
		MP_TARGETTARGET_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.tt.frame.position.mpx, Options.tt.frame.position.mpy)
	end
end
---------------------------------------------------------
function ttMpYSliderOnLoad()
	ttMpYSlider:SetMinMaxValues(-1000,1000)
	local sliderMin, sliderMax = ttMpYSlider:GetMinMaxValues()
	getglobal(ttMpYSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(ttMpYSlider:GetName().."High"):SetText(sliderMax)
	ttMpYSlider:SetOrientation("HORIZONTAL")
	ttMpYSlider:SetValueStep(1)
	ttMpYSlider:SetValue(Options.tt.frame.position.mpy)
end

function ttMpYSliderOnValueChanged()
	if ttMpYSlider:GetValue() then 
		ttMpYSlider:SetValue(ttMpYSlider:GetValue())
		Options.tt.frame.position.mpy=ttMpYSlider:GetValue()
		ttMpYStatus:SetText(Options.tt.frame.position.mpy)
		
		MP_TARGETTARGET_FRAME:ClearAllPoints()
		MP_TARGETTARGET_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.tt.frame.position.mpx, Options.tt.frame.position.mpy)
	end
end
---------------------------------------------------------
function ttDefMaxSliderOnLoad()
	ttDefMaxSlider:SetMinMaxValues(0,100)
	local sliderMin, sliderMax = ttDefMaxSlider:GetMinMaxValues()
	getglobal(ttDefMaxSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(ttDefMaxSlider:GetName().."High"):SetText(sliderMax)
	ttDefMaxSlider:SetOrientation("HORIZONTAL")
	ttDefMaxSlider:SetValueStep(1)
	ttDefMaxSlider:SetValue(Options.tt.deficit.max*100)
end

function ttDefMaxSliderOnValueChanged()
	if ttDefMaxSlider:GetValue() then 
		ttDefMaxSlider:SetValue(ttDefMaxSlider:GetValue())
		Options.tt.deficit.max=ttDefMaxSlider:GetValue()/100
		ttDefMaxStatus:SetText(Options.tt.deficit.max*100)
	end
end	
---------------------------------------------------------
function ttDefMinSliderOnLoad()
	ttDefMinSlider:SetMinMaxValues(0,100)
	local sliderMin, sliderMax = ttDefMinSlider:GetMinMaxValues()
	getglobal(ttDefMinSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(ttDefMinSlider:GetName().."High"):SetText(sliderMax)
	ttDefMinSlider:SetOrientation("HORIZONTAL")
	ttDefMinSlider:SetValueStep(1)
	ttDefMinSlider:SetValue(Options.tt.deficit.min*100)
end

function ttDefMinSliderOnValueChanged()
	if ttDefMinSlider:GetValue() then 
		ttDefMinSlider:SetValue(ttDefMinSlider:GetValue())
		Options.tt.deficit.min=ttDefMinSlider:GetValue()/100
		ttDefMinStatus:SetText(Options.tt.deficit.min*100)
	end
end	
------------------------------------------------------------------------------------------------------------------
function updateSliderOnLoad()
	updateSlider:SetMinMaxValues(10,200)
	local sliderMin, sliderMax = updateSlider:GetMinMaxValues()
	getglobal(updateSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(updateSlider:GetName().."High"):SetText(sliderMax)
	updateSlider:SetOrientation("HORIZONTAL")
	updateSlider:SetValueStep(1)
	updateSlider:SetValue(1/Options.update)
end

function updateSliderOnValueChanged()
	if updateSlider:GetValue() then 
		updateSlider:SetValue(updateSlider:GetValue())
		Options.update=1/updateSlider:GetValue()
		UpdateStatus:SetText(1/Options.update)
		--DEFAULT_CHAT_FRAME:AddMessage(Options.update)
	end
end
---------------------------------------------------------
function fontSizeSliderOnLoad()
	fontSizeSlider:SetMinMaxValues(6,30)
	local sliderMin, sliderMax = fontSizeSlider:GetMinMaxValues()
	local size = Options.font.size
	getglobal(fontSizeSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(fontSizeSlider:GetName().."High"):SetText(sliderMax)
	fontSizeSlider:SetOrientation("HORIZONTAL")
	fontSizeSlider:SetValueStep(1)
	fontSizeSlider:SetValue(size)
end

function fontSizeSliderOnValueChanged()
	if fontSizeSlider:GetValue() then 
	local font, size, flags = Options.font.font, Options.font.size, Options.font.flags
	
		fontSizeSlider:SetValue(fontSizeSlider:GetValue())
		size=fontSizeSlider:GetValue()
		fontSizeStatus:SetText(size)
		
		HP_PLAYER_MAX:SetFont(font, size, flags)
		HP_PLAYER_PERCENT:SetFont(font, size, flags)
		HP_PLAYER_DEFICIT:SetFont(font, size, flags)
		HP_PLAYER_NAME:SetFont(font, size, flags)
		MP_PLAYER_MAX:SetFont(font, size, flags)
		MP_PLAYER_PERCENT:SetFont(font, size, flags)
		MP_PLAYER_DEFICIT:SetFont(font, size, flags)
		
		HP_TARGET_MAX:SetFont(font, size, flags)
		HP_TARGET_PERCENT:SetFont(font, size, flags)
		HP_TARGET_DEFICIT:SetFont(font, size, flags)
		HP_TARGET_NAME:SetFont(font, size, flags)
		MP_TARGET_MAX:SetFont(font, size, flags)
		MP_TARGET_PERCENT:SetFont(font, size, flags)
		MP_TARGET_DEFICIT:SetFont(font, size, flags)
		
		HP_PARTY1_DEFICIT:SetFont(font, size, flags)
		HP_PARTY1_NAME:SetFont(font, size, flags)
		MP_PARTY1_DEFICIT:SetFont(font, size, flags)
		
		HP_PARTY2_DEFICIT:SetFont(font, size, flags)
		HP_PARTY2_NAME:SetFont(font, size, flags)
		MP_PARTY2_DEFICIT:SetFont(font, size, flags)
		
		HP_PARTY3_DEFICIT:SetFont(font, size, flags)
		HP_PARTY3_NAME:SetFont(font, size, flags)
		MP_PARTY3_DEFICIT:SetFont(font, size, flags)
		
		HP_PARTY4_DEFICIT:SetFont(font, size, flags)
		HP_PARTY4_NAME:SetFont(font, size, flags)
		MP_PARTY4_DEFICIT:SetFont(font, size, flags)
		
		HP_PET_MAX:SetFont(font, size, flags)
		HP_PET_PERCENT:SetFont(font, size, flags)
		HP_PET_DEFICIT:SetFont(font, size, flags)
		HP_PET_NAME:SetFont(font, size, flags)
		MP_PET_MAX:SetFont(font, size, flags)
		MP_PET_PERCENT:SetFont(font, size, flags)
		MP_PET_DEFICIT:SetFont(font, size, flags)
		
		HP_TARGETTARGET_MAX:SetFont(font, size, flags)
		HP_TARGETTARGET_PERCENT:SetFont(font, size, flags)
		HP_TARGETTARGET_DEFICIT:SetFont(font, size, flags)
		HP_TARGETTARGET_NAME:SetFont(font, size, flags)
		MP_TARGETTARGET_MAX:SetFont(font, size, flags)
		MP_TARGETTARGET_PERCENT:SetFont(font, size, flags)
		MP_TARGETTARGET_DEFICIT:SetFont(font, size, flags)
	end
end
---------------------------------------------------------
function fontFlagsSliderOnLoad()
	fontFlagsSlider:SetMinMaxValues(1,6)
	local sliderMin, sliderMax = fontFlagsSlider:GetMinMaxValues()
	local flags = Options.font.flags
	getglobal(fontFlagsSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(fontFlagsSlider:GetName().."High"):SetText(sliderMax)
	fontFlagsSlider:SetOrientation("HORIZONTAL")
	fontFlagsSlider:SetValueStep(1)
	if (flags=="none") then	
		fontFlagsSlider:SetValue(1)
	elseif (flags=="OUTLINE") then	
		fontFlagsSlider:SetValue(2)
	elseif (flags=="THICKOUTLINE") then	
		fontFlagsSlider:SetValue(3)
	elseif (flags=="MONOCHROME") then	
		fontFlagsSlider:SetValue(4)
	elseif (flags=="OUTLINE, MONOCHROME") then	
		fontFlagsSlider:SetValue(5)
	elseif (flags=="THICKOUTLINE, MONOCHROME") then	
		fontFlagsSlider:SetValue(6)
	end
end

function fontFlagsSliderOnValueChanged()
	local font, size, flags = Options.font.font, Options.font.size, Options.font.flags
	
	if (fontFlagsSlider:GetValue()==1) then
		flags="none"
		fontFlagsStatus:SetText(flags)
	elseif (fontFlagsSlider:GetValue()==2) then
		flags="OUTLINE"
		fontFlagsStatus:SetText(flags)
	elseif (fontFlagsSlider:GetValue()==3) then
		flags="THICKOUTLINE"
		fontFlagsStatus:SetText(flags)
	elseif (fontFlagsSlider:GetValue()==4) then
		flags="MONOCHROME"
		fontFlagsStatus:SetText(flags)
	elseif (fontFlagsSlider:GetValue()==5) then
		flags="OUTLINE, MONOCHROME"
		fontFlagsStatus:SetText(flags)
	elseif (fontFlagsSlider:GetValue()==6) then
		flags="THICKOUTLINE, MONOCHROME"
		fontFlagsStatus:SetText(flags)
	end
		
	HP_PLAYER_MAX:SetFont(font, size, flags)
	HP_PLAYER_PERCENT:SetFont(font, size, flags)
	HP_PLAYER_DEFICIT:SetFont(font, size, flags)
	HP_PLAYER_NAME:SetFont(font, size, flags)
	MP_PLAYER_MAX:SetFont(font, size, flags)
	MP_PLAYER_PERCENT:SetFont(font, size, flags)
	MP_PLAYER_DEFICIT:SetFont(font, size, flags)
		
	HP_TARGET_MAX:SetFont(font, size, flags)
	HP_TARGET_PERCENT:SetFont(font, size, flags)
	HP_TARGET_DEFICIT:SetFont(font, size, flags)
	HP_TARGET_NAME:SetFont(font, size, flags)
	MP_TARGET_MAX:SetFont(font, size, flags)
	MP_TARGET_PERCENT:SetFont(font, size, flags)
	MP_TARGET_DEFICIT:SetFont(font, size, flags)
		
	HP_PARTY1_DEFICIT:SetFont(font, size, flags)
	HP_PARTY1_NAME:SetFont(font, size, flags)
	MP_PARTY1_DEFICIT:SetFont(font, size, flags)
		
	HP_PARTY2_DEFICIT:SetFont(font, size, flags)
	HP_PARTY2_NAME:SetFont(font, size, flags)
	MP_PARTY2_DEFICIT:SetFont(font, size, flags)
		
	HP_PARTY3_DEFICIT:SetFont(font, size, flags)
	HP_PARTY3_NAME:SetFont(font, size, flags)
	MP_PARTY3_DEFICIT:SetFont(font, size, flags)
		
	HP_PARTY4_DEFICIT:SetFont(font, size, flags)
	HP_PARTY4_NAME:SetFont(font, size, flags)
	MP_PARTY4_DEFICIT:SetFont(font, size, flags)
		
	HP_PET_MAX:SetFont(font, size, flags)
	HP_PET_PERCENT:SetFont(font, size, flags)
	HP_PET_DEFICIT:SetFont(font, size, flags)
	HP_PET_NAME:SetFont(font, size, flags)
	MP_PET_MAX:SetFont(font, size, flags)
	MP_PET_PERCENT:SetFont(font, size, flags)
	MP_PET_DEFICIT:SetFont(font, size, flags)
		
	HP_TARGETTARGET_MAX:SetFont(font, size, flags)
	HP_TARGETTARGET_PERCENT:SetFont(font, size, flags)
	HP_TARGETTARGET_DEFICIT:SetFont(font, size, flags)
	HP_TARGETTARGET_NAME:SetFont(font, size, flags)
	MP_TARGETTARGET_MAX:SetFont(font, size, flags)
	MP_TARGETTARGET_PERCENT:SetFont(font, size, flags)
	MP_TARGETTARGET_DEFICIT:SetFont(font, size, flags)
end
---------------------------------------------------------
function flashInSliderOnLoad()
	flashInSlider:SetMinMaxValues(0,200)
	local sliderMin, sliderMax = flashInSlider:GetMinMaxValues()
	getglobal(flashInSlider:GetName().."Low"):SetText(sliderMin/100)
	getglobal(flashInSlider:GetName().."High"):SetText(sliderMax/100)
	flashInSlider:SetOrientation("HORIZONTAL")
	flashInSlider:SetValueStep(1)
	flashInSlider:SetValue(Options.flash.In*100)
end

function flashInSliderOnValueChanged()
	if flashInSlider:GetValue() then 
		flashInSlider:SetValue(flashInSlider:GetValue())
		Options.flash.In=flashInSlider:GetValue()/100
		flashInStatus:SetText(Options.flash.In)
	end
end
---------------------------------------------------------
function flashOutSliderOnLoad()
	flashOutSlider:SetMinMaxValues(0,200)
	local sliderMin, sliderMax = flashOutSlider:GetMinMaxValues()
	getglobal(flashOutSlider:GetName().."Low"):SetText(sliderMin/100)
	getglobal(flashOutSlider:GetName().."High"):SetText(sliderMax/100)
	flashOutSlider:SetOrientation("HORIZONTAL")
	flashOutSlider:SetValueStep(1)
	flashOutSlider:SetValue(Options.flash.Out*100)
end

function flashOutSliderOnValueChanged()
	if flashOutSlider:GetValue() then 
		flashOutSlider:SetValue(flashOutSlider:GetValue())
		Options.flash.Out=flashOutSlider:GetValue()/100
		flashOutStatus:SetText(Options.flash.Out)
	end
end
---------------------------------------------------------
function flashHoldInSliderOnLoad()
	flashHoldInSlider:SetMinMaxValues(0,200)
	local sliderMin, sliderMax = flashHoldInSlider:GetMinMaxValues()
	getglobal(flashHoldInSlider:GetName().."Low"):SetText(sliderMin/100)
	getglobal(flashHoldInSlider:GetName().."High"):SetText(sliderMax/100)
	flashHoldInSlider:SetOrientation("HORIZONTAL")
	flashHoldInSlider:SetValueStep(1)
	flashHoldInSlider:SetValue(Options.flash.InHold*100)
end

function flashHoldInSliderOnValueChanged()
	if flashHoldInSlider:GetValue() then 
		flashHoldInSlider:SetValue(flashHoldInSlider:GetValue())
		Options.flash.InHold=flashHoldInSlider:GetValue()/100
		flashHoldInStatus:SetText(Options.flash.InHold)
	end
end
---------------------------------------------------------
function flashHoldOutSliderOnLoad()
	flashHoldOutSlider:SetMinMaxValues(0,200)
	local sliderMin, sliderMax = flashHoldOutSlider:GetMinMaxValues()
	getglobal(flashHoldOutSlider:GetName().."Low"):SetText(sliderMin/100)
	getglobal(flashHoldOutSlider:GetName().."High"):SetText(sliderMax/100)
	flashHoldOutSlider:SetOrientation("HORIZONTAL")
	flashHoldOutSlider:SetValueStep(1)
	flashHoldOutSlider:SetValue(Options.flash.OutHold*100)
end

function flashHoldOutSliderOnValueChanged()
	if flashHoldOutSlider:GetValue() then 
		flashHoldOutSlider:SetValue(flashHoldOutSlider:GetValue())
		Options.flash.OutHold=flashHoldOutSlider:GetValue()/100
		flashHoldOutStatus:SetText(Options.flash.OutHold)
	end
end
---------------------------------------------------------
function fadeAlphaSliderOnLoad()
	fadeAlphaSlider:SetMinMaxValues(0,100)
	local sliderMin, sliderMax = fadeAlphaSlider:GetMinMaxValues()
	getglobal(fadeAlphaSlider:GetName().."Low"):SetText(sliderMin/100)
	getglobal(fadeAlphaSlider:GetName().."High"):SetText(sliderMax/100)
	fadeAlphaSlider:SetOrientation("HORIZONTAL")
	fadeAlphaSlider:SetValueStep(1)
	fadeAlphaSlider:SetValue(Options.fade.alpha*100)
end

function fadeAlphaSliderOnValueChanged()
	if fadeAlphaSlider:GetValue() then 
		fadeAlphaSlider:SetValue(fadeAlphaSlider:GetValue())
		Options.fade.alpha=fadeAlphaSlider:GetValue()/100
		fadeAlphaStatus:SetText(Options.fade.alpha)
		gHUDResetAlpha();
	end
end
---------------------------------------------------------
function fadeAlphaInSliderOnLoad()
	fadeAlphaInSlider:SetMinMaxValues(0,200)
	local sliderMin, sliderMax = fadeAlphaInSlider:GetMinMaxValues()
	getglobal(fadeAlphaInSlider:GetName().."Low"):SetText(sliderMin/100)
	getglobal(fadeAlphaInSlider:GetName().."High"):SetText(sliderMax/100)
	fadeAlphaInSlider:SetOrientation("HORIZONTAL")
	fadeAlphaInSlider:SetValueStep(1)
	fadeAlphaInSlider:SetValue(Options.fade.inTime*100)
end

function fadeAlphaInSliderOnValueChanged()
	if fadeAlphaInSlider:GetValue() then 
		fadeAlphaInSlider:SetValue(fadeAlphaInSlider:GetValue())
		Options.fade.inTime=fadeAlphaInSlider:GetValue()/100
		fadeAlphaInStatus:SetText(Options.fade.inTime)
		--gHUDResetAlpha();
	end
end
---------------------------------------------------------
function fadeAlphaOutSliderOnLoad()
	fadeAlphaOutSlider:SetMinMaxValues(0,200)
	local sliderMin, sliderMax = fadeAlphaOutSlider:GetMinMaxValues()
	getglobal(fadeAlphaOutSlider:GetName().."Low"):SetText(sliderMin/100)
	getglobal(fadeAlphaOutSlider:GetName().."High"):SetText(sliderMax/100)
	fadeAlphaOutSlider:SetOrientation("HORIZONTAL")
	fadeAlphaOutSlider:SetValueStep(1)
	fadeAlphaOutSlider:SetValue(Options.fade.outTime*100)
end

function fadeAlphaOutSliderOnValueChanged()
	if fadeAlphaOutSlider:GetValue() then 
		fadeAlphaOutSlider:SetValue(fadeAlphaOutSlider:GetValue())
		Options.fade.outTime=fadeAlphaOutSlider:GetValue()/100
		fadeAlphaOutStatus:SetText(Options.fade.outTime)
		--gHUDResetAlpha();
	end
end
---------------------------------------------------------
function ResetFrameOnClick()
	DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00" ..Default.name .." - |rReset Frame: |cFFFF0000 Not active")
end

function ResetAllOnClick()
	DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00" ..Default.name .." - |rReset All: |cFFFF0000 Not active")
end
---------------------------------------------------------
function hpplayerFontDirectionCBOnLoad()
	if (Options.font.direction.hpplayer==0) then
		hpplayerFontDirectionCB:SetChecked(false)
	elseif (Options.font.direction.hpplayer==1) then
		hpplayerFontDirectionCB:SetChecked(true)
	end
end

function hpplayerFontDirectionCBOnClick()
	if (hpplayerFontDirectionCB:GetChecked(false)) then
		hpplayerFontDirectionCB:SetChecked(true)
		Options.font.direction.hpplayer=1
	else hpplayerFontDirectionCB:SetChecked(false)
		Options.font.direction.hpplayer=0
	end	
	gHUDNameDirection();
end
---------------------------------------------------------
function mpplayerFontDirectionCBOnLoad()
	if (Options.font.direction.mpplayer==0) then
		mpplayerFontDirectionCB:SetChecked(false)
	elseif (Options.font.direction.mpplayer==1) then
		mpplayerFontDirectionCB:SetChecked(true)
	end
end

function mpplayerFontDirectionCBOnClick()
	if (mpplayerFontDirectionCB:GetChecked(false)) then
		mpplayerFontDirectionCB:SetChecked(true)
		Options.font.direction.mpplayer=1
	else mpplayerFontDirectionCB:SetChecked(false)
		Options.font.direction.mpplayer=0
	end	
	gHUDNameDirection();
end
---------------------------------------------------------
function hptargetFontDirectionCBOnLoad()
	if (Options.font.direction.hptarget==0) then
		hptargetFontDirectionCB:SetChecked(false)
	elseif (Options.font.direction.hptarget==1) then
		hptargetFontDirectionCB:SetChecked(true)
	end
end

function hptargetFontDirectionCBOnClick()
	if (hptargetFontDirectionCB:GetChecked(false)) then
		hptargetFontDirectionCB:SetChecked(true)
		Options.font.direction.hptarget=1
	else hptargetFontDirectionCB:SetChecked(false)
		Options.font.direction.hptarget=0
	end	
	gHUDNameDirection();
end
---------------------------------------------------------
function mptargetFontDirectionCBOnLoad()
	if (Options.font.direction.mptarget==0) then
		mptargetFontDirectionCB:SetChecked(false)
	elseif (Options.font.direction.mptarget==1) then
		mptargetFontDirectionCB:SetChecked(true)
	end
end

function mptargetFontDirectionCBOnClick()
	if (mptargetFontDirectionCB:GetChecked(false)) then
		mptargetFontDirectionCB:SetChecked(true)
		Options.font.direction.mptarget=1
	else mptargetFontDirectionCB:SetChecked(false)
		Options.font.direction.mptarget=0
	end	
	gHUDNameDirection();
end
---------------------------------------------------------
function hppartyFontDirectionCBOnLoad()
	if (Options.font.direction.hpparty==0) then
		hppartyFontDirectionCB:SetChecked(false)
	elseif (Options.font.direction.hpparty==1) then
		hppartyFontDirectionCB:SetChecked(true)
	end
end

function hppartyFontDirectionCBOnClick()
	if (hppartyFontDirectionCB:GetChecked(false)) then
		hppartyFontDirectionCB:SetChecked(true)
		Options.font.direction.hpparty=1
	else hppartyFontDirectionCB:SetChecked(false)
		Options.font.direction.hpparty=0
	end	
	gHUDNameDirection();
end
---------------------------------------------------------
function mppartyFontDirectionCBOnLoad()
	if (Options.font.direction.mpparty==0) then
		mppartyFontDirectionCB:SetChecked(false)
	elseif (Options.font.direction.mpparty==1) then
		mppartyFontDirectionCB:SetChecked(true)
	end
end

function mppartyFontDirectionCBOnClick()
	if (mppartyFontDirectionCB:GetChecked(false)) then
		mppartyFontDirectionCB:SetChecked(true)
		Options.font.direction.mpparty=1
	else mppartyFontDirectionCB:SetChecked(false)
		Options.font.direction.mpparty=0
	end	
	gHUDNameDirection();
end
---------------------------------------------------------

function hppetFontDirectionCBOnLoad()
	if (Options.font.direction.hppet==0) then
		hppetFontDirectionCB:SetChecked(false)
	elseif (Options.font.direction.hppet==1) then
		hppetFontDirectionCB:SetChecked(true)
	end
end

function hppetFontDirectionCBOnClick()
	if (hppetFontDirectionCB:GetChecked(false)) then
		hppetFontDirectionCB:SetChecked(true)
		Options.font.direction.hppet=1
	else hppetFontDirectionCB:SetChecked(false)
		Options.font.direction.hppet=0
	end	
	gHUDNameDirection();
end
---------------------------------------------------------
function mppetFontDirectionCBOnLoad()
	if (Options.font.direction.mppet==0) then
		mppetFontDirectionCB:SetChecked(false)
	elseif (Options.font.direction.mppet==1) then
		mppetFontDirectionCB:SetChecked(true)
	end
end

function mppetFontDirectionCBOnClick()
	if (mppetFontDirectionCB:GetChecked(false)) then
		mppetFontDirectionCB:SetChecked(true)
		Options.font.direction.mppet=1
	else mppetFontDirectionCB:SetChecked(false)
		Options.font.direction.mppet=0
	end	
	gHUDNameDirection();
end
---------------------------------------------------------
function hpttFontDirectionCBOnLoad()
	if (Options.font.direction.hptt==0) then
		hpttFontDirectionCB:SetChecked(false)
	elseif (Options.font.direction.hptt==1) then
		hpttFontDirectionCB:SetChecked(true)
	end
end

function hpttFontDirectionCBOnClick()
	if (hpttFontDirectionCB:GetChecked(false)) then
		hpttFontDirectionCB:SetChecked(true)
		Options.font.direction.hptt=1
	else hpttFontDirectionCB:SetChecked(false)
		Options.font.direction.hptt=0
	end	
	gHUDNameDirection();
end
---------------------------------------------------------
function mpttFontDirectionCBOnLoad()
	if (Options.font.direction.mptt==0) then
		mpttFontDirectionCB:SetChecked(false)
	elseif (Options.font.direction.mptt==1) then
		mpttFontDirectionCB:SetChecked(true)
	end
end

function mpttFontDirectionCBOnClick()
	if (mpttFontDirectionCB:GetChecked(false)) then
		mpttFontDirectionCB:SetChecked(true)
		Options.font.direction.mptt=1
	else mpttFontDirectionCB:SetChecked(false)
		Options.font.direction.mptt=0
	end	
	gHUDNameDirection();
end