function gHUDOnLoad()
--Slash Commands	
	SLASH_gHUD_1 = "/groggy hud"
	SLASH_gHUD_2 = "/ghud"
	SlashCmdList["gHUD_"] = gHUD_Command

--Handlers
	this:RegisterEvent("ADDON_LOADED")
	this:RegisterEvent("PLAYER_TARGET_CHANGED") 
	this:RegisterEvent("PARTY_MEMBERS_CHANGED")
	this:RegisterEvent("UNIT_PET")
	
	this:RegisterEvent("PLAYER_REGEN_DISABLED")
	this:RegisterEvent("PLAYER_REGEN_ENABLED")
	
	this.TimeSinceLastUpdate=0
end

function TargetChangeOnEvent()
--show/hide target frames
	if (event=="PLAYER_TARGET_CHANGED") then
	
	end
end


function PetChangeOnEvent()
--show/hide pet frames
	if (event=="UNIT_PET") then
		if (UnitExists("pet")) then
			HP_PET_FRAME:Show()
			MP_PET_FRAME:Show()
		else 
			HP_PET_FRAME:Hide()
			MP_PET_FRAME:Hide()
		end
	end
end
---------------------------------------------------------
function Load_HP_Player()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
	--set position
		HP_PLAYER_FRAME:ClearAllPoints()
		HP_PLAYER_FRAME:SetPoint(Options.frame.invert.hppoint, nil, Options.frame.invert.hprelpoint, Options.player.frame.position.hpx, Options.player.frame.position.hpy)
	--texture
		HP_PLAYER_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
		
		HP_PLAYER_BG_TEXTURE1:SetHeight(Options.player.frame.bg.height)
		HP_PLAYER_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
		HP_PLAYER_BG_TEXTURE2:SetHeight(Options.player.frame.bg.height-2)
		HP_PLAYER_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
		HP_PLAYER_BAR:SetWidth(Options.player.frame.bar.width)
		HP_PLAYER_FRAME:SetHeight(Options.player.frame.bg.height)
		HP_PLAYER_FRAME:SetWidth(Options.player.frame.bg.width)
		
		HP_Player_Button:SetHeight(Options.player.frame.bg.height)
		HP_Player_Button:SetWidth(Options.player.frame.bg.width)
	--hp player max text
		HP_PLAYER_MAX:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		HP_PLAYER_MAX:SetTextColor(0, 1, 0, 1)
	--hp player percent text
		HP_PLAYER_PERCENT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	--hp player deficit text
		HP_PLAYER_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	--hp player name text
		HP_PLAYER_NAME:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	--font direction
		gHUDNameDirection();
	end
end

function Load_HP_Target()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then	
	--set position
		HP_TARGET_FRAME:ClearAllPoints()
		HP_TARGET_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.target.frame.position.hpx, Options.target.frame.position.hpy)
	--texture
		HP_TARGET_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
		
		HP_TARGET_BG_TEXTURE1:SetHeight(Options.player.frame.bg.height)
		HP_TARGET_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
		HP_TARGET_BG_TEXTURE2:SetHeight(Options.player.frame.bg.height-2)
		HP_TARGET_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
		HP_TARGET_BAR:SetWidth(Options.player.frame.bar.width)
		HP_TARGET_FRAME:SetHeight(Options.player.frame.bg.height)
		HP_TARGET_FRAME:SetWidth(Options.player.frame.bg.width)
		
		HP_Target_Button:SetHeight(Options.player.frame.bg.height)
		HP_Target_Button:SetWidth(Options.player.frame.bg.width)
	--hp target max text
		HP_TARGET_MAX:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		HP_TARGET_MAX:SetTextColor(0, 1, 0, 1)
	--hp target percent text
		HP_TARGET_PERCENT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	--hp target deficit text
		HP_TARGET_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	--hp target name text
		HP_TARGET_NAME:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	end
end

function Load_HP_Party1()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then	
		if (Options.party.frame.active==1) then
		--set position
			HP_PARTY1_FRAME:ClearAllPoints()
			HP_PARTY1_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.party.frame.position.hpx, Options.party.frame.position.hpy)
		--texture
			PARTYPERCENT:Hide()
			HP_PARTY1_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
			
			HP_PARTY1_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			HP_PARTY1_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			HP_PARTY1_BAR:SetWidth(Options.player.frame.bar.width)
			HP_PARTY1_FRAME:SetWidth(Options.player.frame.bg.width)
			
			HP_Party1_Button:SetWidth(Options.player.frame.bg.width)
		--hp party1 deficit text
			HP_PARTY1_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp party1 name text
			HP_PARTY1_NAME:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end

function Load_HP_Party2()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then	
		if (Options.party.frame.active==1) then
		--set position
			HP_PARTY2_FRAME:ClearAllPoints()
			HP_PARTY2_FRAME:SetPoint("BOTTOM", HP_PARTY1_FRAME, "TOP", 0, Options.party.frame.gap)
		--texture
			HP_PARTY2_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
			
			HP_PARTY2_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			HP_PARTY2_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			HP_PARTY2_BAR:SetWidth(Options.player.frame.bar.width)
			HP_PARTY2_FRAME:SetWidth(Options.player.frame.bg.width)
			
			HP_Party2_Button:SetWidth(Options.player.frame.bg.width)
		--hp party2 deficit text
			HP_PARTY2_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp party2 name text
			HP_PARTY2_NAME:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end

function Load_HP_Party3()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then	
		if (Options.party.frame.active==1) then
		--set position
			HP_PARTY3_FRAME:ClearAllPoints()
			HP_PARTY3_FRAME:SetPoint("BOTTOM", HP_PARTY2_FRAME, "TOP", 0, Options.party.frame.gap)
		--texture
			HP_PARTY3_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
			
			HP_PARTY3_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			HP_PARTY3_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			HP_PARTY3_BAR:SetWidth(Options.player.frame.bar.width)
			HP_PARTY3_FRAME:SetWidth(Options.player.frame.bg.width)
			
			HP_Party3_Button:SetWidth(Options.player.frame.bg.width)
		--hp party3 deficit text
			HP_PARTY3_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp party3 name text
			HP_PARTY3_NAME:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end

function Load_HP_Party4()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then	
		if (Options.party.frame.active==1) then
		--set position
			HP_PARTY4_FRAME:ClearAllPoints()
			HP_PARTY4_FRAME:SetPoint("BOTTOM", HP_PARTY3_FRAME, "TOP", 0, Options.party.frame.gap)
		--texture
			HP_PARTY4_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
			
			HP_PARTY4_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			HP_PARTY4_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			HP_PARTY4_BAR:SetWidth(Options.player.frame.bar.width)
			HP_PARTY4_FRAME:SetWidth(Options.player.frame.bg.width)
			
			HP_Party4_Button:SetWidth(Options.player.frame.bg.width)
		--hp party4 deficit text
			HP_PARTY4_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp party4 name text
			HP_PARTY4_NAME:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end

function Load_HP_Pet()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
		if (Options.pet.frame.active==1) then
		--set position
			HP_PET_FRAME:ClearAllPoints()
			HP_PET_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.pet.frame.position.hpx, Options.pet.frame.position.hpy)
		--texture
			HP_PET_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
		
			HP_PET_BG_TEXTURE1:SetHeight(Options.player.frame.bg.height/2)
			HP_PET_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			HP_PET_BG_TEXTURE2:SetHeight((Options.player.frame.bg.height/2)-2)
			HP_PET_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			HP_PET_BAR:SetWidth(Options.player.frame.bar.width)
			HP_PET_FRAME:SetHeight(Options.player.frame.bg.height/2)
			HP_PET_FRAME:SetWidth(Options.player.frame.bg.width)
			
			HP_Pet_Button:SetHeight(Options.player.frame.bg.height/2)
			HP_Pet_Button:SetWidth(Options.player.frame.bg.width)
		--hp pet max text
			HP_PET_MAX:SetFont(Options.font.font, Options.font.size, Options.font.flags)
			HP_PET_MAX:SetTextColor(0, 1, 0, 1)
		--hp pet percent text
			HP_PET_PERCENT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp pet deficit text
			HP_PET_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp pet name text
			HP_PET_NAME:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end

function Load_HP_TargetTarget()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
		if (Options.tt.frame.active==1) then
		--set position
			HP_TARGETTARGET_FRAME:ClearAllPoints()
			HP_TARGETTARGET_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.tt.frame.position.hpx, Options.tt.frame.position.hpy)
		--texture
			HP_TARGETTARGET_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
		
			HP_TARGETTARGET_BG_TEXTURE1:SetHeight(Options.player.frame.bg.height/2)
			HP_TARGETTARGET_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			HP_TARGETTARGET_BG_TEXTURE2:SetHeight((Options.player.frame.bg.height/2)-2)
			HP_TARGETTARGET_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			HP_TARGETTARGET_BAR:SetWidth(Options.player.frame.bar.width)
			HP_TARGETTARGET_FRAME:SetHeight(Options.player.frame.bg.height/2)
			HP_TARGETTARGET_FRAME:SetWidth(Options.player.frame.bg.width)
		
			HP_TargetTarget_Button:SetHeight(Options.player.frame.bg.height/2)
			HP_TargetTarget_Button:SetWidth(Options.player.frame.bg.width)
		--hp targettarget max text
			HP_TARGETTARGET_MAX:SetFont(Options.font.font, Options.font.size, Options.font.flags)
			HP_TARGETTARGET_MAX:SetTextColor(0, 1, 0, 1)
		--hp targettarget percent text
			HP_TARGETTARGET_PERCENT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp targettarget deficit text
			HP_TARGETTARGET_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp targettarget name text
			HP_TARGETTARGET_NAME:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end

function Load_MP_Player()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
	--set position
		MP_PLAYER_FRAME:ClearAllPoints()
		MP_PLAYER_FRAME:SetPoint(Options.frame.invert.mppoint, nil, Options.frame.invert.mprelpoint, Options.player.frame.position.mpx, Options.player.frame.position.mpy)
	--texture
		MP_PLAYER_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
		
		MP_PLAYER_BG_TEXTURE1:SetHeight(Options.player.frame.bg.height)
		MP_PLAYER_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
		MP_PLAYER_BG_TEXTURE2:SetHeight(Options.player.frame.bg.height-2)
		MP_PLAYER_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
		MP_PLAYER_BAR:SetWidth(Options.player.frame.bar.width)
		--MP_PLAYER_BAR:SetAlpha(Colors.mp100.a)
		
		MP_PLAYER_FRAME:SetHeight(Options.player.frame.bg.height)
		MP_PLAYER_FRAME:SetWidth(Options.player.frame.bg.width)
		
		MP_Player_Button:SetHeight(Options.player.frame.bg.height)
		MP_Player_Button:SetWidth(Options.player.frame.bg.width)
	--hp player max text
		MP_PLAYER_MAX:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	--hp player percent text
		MP_PLAYER_PERCENT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	--hp player deficit text
		MP_PLAYER_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	end
end

function Load_MP_Target()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then	
	--set position
		MP_TARGET_FRAME:ClearAllPoints()
		MP_TARGET_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.target.frame.position.mpx, Options.target.frame.position.mpy)
	--texture
		MP_TARGET_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
		
		MP_TARGET_BG_TEXTURE1:SetHeight(Options.player.frame.bg.height)
		MP_TARGET_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
		MP_TARGET_BG_TEXTURE2:SetHeight(Options.player.frame.bg.height-2)
		MP_TARGET_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
		MP_TARGET_BAR:SetWidth(Options.player.frame.bar.width)
		MP_TARGET_FRAME:SetHeight(Options.player.frame.bg.height)
		MP_TARGET_FRAME:SetWidth(Options.player.frame.bg.width)
		
		MP_Target_Button:SetHeight(Options.player.frame.bg.height)
		MP_Target_Button:SetWidth(Options.player.frame.bg.width)
	--hp target max text
		MP_TARGET_MAX:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	--hp target percent text
		MP_TARGET_PERCENT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	--hp target deficit text
		MP_TARGET_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
	end
end

function Load_MP_Party1()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
		if (Options.party.frame.active==1) then
		--set position
			MP_PARTY1_FRAME:ClearAllPoints()
			MP_PARTY1_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.party.frame.position.mpx, Options.party.frame.position.mpy)
		--texture
			MP_PARTY1_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
			
			MP_PARTY1_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			MP_PARTY1_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			MP_PARTY1_BAR:SetWidth(Options.player.frame.bar.width)
			MP_PARTY1_FRAME:SetWidth(Options.player.frame.bg.width)
		
			MP_Party1_Button:SetWidth(Options.player.frame.bg.width)
		--hp party1 deficit text
			MP_PARTY1_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end

function Load_MP_Party2()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
		if (Options.party.frame.active==1) then	
		--set position
			MP_PARTY2_FRAME:ClearAllPoints()
			MP_PARTY2_FRAME:SetPoint("BOTTOM", MP_PARTY1_FRAME, "TOP", 0, Options.party.frame.gap)
		--texture
			MP_PARTY2_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
			
			MP_PARTY2_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			MP_PARTY2_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			MP_PARTY2_BAR:SetWidth(Options.player.frame.bar.width)
			MP_PARTY2_FRAME:SetWidth(Options.player.frame.bg.width)
		
			MP_Party2_Button:SetWidth(Options.player.frame.bg.width)
		--hp party2 deficit text
			MP_PARTY2_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end

function Load_MP_Party3()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
		if (Options.party.frame.active==1) then
		--set position
			MP_PARTY3_FRAME:ClearAllPoints()
			MP_PARTY3_FRAME:SetPoint("BOTTOM", MP_PARTY2_FRAME, "TOP", 0, Options.party.frame.gap)
		--texture
			MP_PARTY3_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
			
			MP_PARTY3_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			MP_PARTY3_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			MP_PARTY3_BAR:SetWidth(Options.player.frame.bar.width)
			MP_PARTY3_FRAME:SetWidth(Options.player.frame.bg.width)
		
			MP_Party3_Button:SetWidth(Options.player.frame.bg.width)
		--hp party3 deficit text
			MP_PARTY3_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end

function Load_MP_Party4()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
		if (Options.party.frame.active==1) then	
		--set position
			MP_PARTY4_FRAME:ClearAllPoints()
			MP_PARTY4_FRAME:SetPoint("BOTTOM", MP_PARTY3_FRAME, "TOP", 0, Options.party.frame.gap)
		--texture
			MP_PARTY4_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
			
			MP_PARTY4_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			MP_PARTY4_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			MP_PARTY4_BAR:SetWidth(Options.player.frame.bar.width)
			MP_PARTY4_FRAME:SetWidth(Options.player.frame.bg.width)
		
			MP_Party4_Button:SetWidth(Options.player.frame.bg.width)
		--hp party4 deficit text
			MP_PARTY4_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end

function Load_MP_Pet()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
		if (Options.pet.frame.active==1) then
		--set position
			MP_PET_FRAME:ClearAllPoints()
			MP_PET_FRAME:SetPoint("BOTTOMLEFT", nil, "CENTER", Options.pet.frame.position.mpx, Options.pet.frame.position.mpy)
		--texture
			MP_PET_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
		
			MP_PET_BG_TEXTURE1:SetHeight(Options.player.frame.bg.height/2)
			MP_PET_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			MP_PET_BG_TEXTURE2:SetHeight((Options.player.frame.bg.height/2)-2)
			MP_PET_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			MP_PET_BAR:SetWidth(Options.player.frame.bar.width)
			MP_PET_FRAME:SetHeight(Options.player.frame.bg.height/2)
			MP_PET_FRAME:SetWidth(Options.player.frame.bg.width)
		
			MP_Pet_Button:SetHeight(Options.player.frame.bg.height/2)
			MP_Pet_Button:SetWidth(Options.player.frame.bg.width)
		--hp pet max text
			MP_PET_MAX:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp pet percent text
			MP_PET_PERCENT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp pet deficit text
			MP_PET_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end

function Load_MP_TargetTarget()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
		if (Options.tt.frame.active==1) then	
		--set position
			MP_TARGETTARGET_FRAME:ClearAllPoints()
			MP_TARGETTARGET_FRAME:SetPoint("BOTTOMRIGHT", nil, "CENTER", Options.tt.frame.position.mpx, Options.tt.frame.position.mpy)
		--texture
			MP_TARGETTARGET_BAR_TEXTURE:SetTexture(Options.texture.BarHeight)
		
			MP_TARGETTARGET_BG_TEXTURE1:SetHeight(Options.player.frame.bg.height/2)
			MP_TARGETTARGET_BG_TEXTURE1:SetWidth(Options.player.frame.bg.width)
			MP_TARGETTARGET_BG_TEXTURE2:SetHeight((Options.player.frame.bg.height/2)-2)
			MP_TARGETTARGET_BG_TEXTURE2:SetWidth(Options.player.frame.bg.width-2)
		
			MP_TARGETTARGET_BAR:SetWidth(Options.player.frame.bar.width)
			MP_TARGETTARGET_FRAME:SetHeight(Options.player.frame.bg.height/2)
			MP_TARGETTARGET_FRAME:SetWidth(Options.player.frame.bg.width)
			
			MP_TargetTarget_Button:SetHeight(Options.player.frame.bg.height/2)
			MP_TargetTarget_Button:SetWidth(Options.player.frame.bg.width)
		--hp targettarget max text
			MP_TARGETTARGET_MAX:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp targettarget percent text
			MP_TARGETTARGET_PERCENT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		--hp targettarget deficit text
			MP_TARGETTARGET_DEFICIT:SetFont(Options.font.font, Options.font.size, Options.font.flags)
		end
	end
end
------------------------------------------------------------------------------------------------
function HP_Player(arg1)
	local unit = "player"
	local tBar = HP_PLAYER_BAR_TEXTURE
	local tBG  = HP_PLAYER_BG_TEXTURE1
	local tBG2 = HP_PLAYER_BG_TEXTURE2
	local fBut = HP_Player_Button
	local fBar = HP_PLAYER_BAR
	local fMax = HP_PLAYER_MAX
	local fPer = HP_PLAYER_PERCENT
	local fDef = HP_PLAYER_DEFICIT
	local fNam = HP_PLAYER_NAME
	
	local fUn = HP_PLAYER_FRAME
	
	this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
	if (this.TimeSinceLastUpdate > Options.update) then	
	--Color
		ColorHealth(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
	--selected
		HighlightSelectedUnit(unit,fBut)
	--Health
		local cur, max = UnitHealth(unit), UnitHealthMax(unit)
		local deficit = max-cur
	--hp bar
		if (cur==0) then
			fBar:SetHeight(1)
		else
			if (max>=cur) then
				fBar:SetHeight(Options.player.frame.bg.height/max*cur)
			else
				fBar:SetHeight(Options.player.frame.bg.height)
			end
		end
	--hp name text
		--UnitNames(unit,fNam)
		NamePlayer(unit,fNam)
	--hp max text
		if (not UnitInParty("party1") or (Options.party.frame.active==0)) then
			fMax:SetText(max)
		else 
			if (deficit==0) then
				fMax:SetText(max)
			elseif (deficit~=0) and (Options.player.max.mode==0) then
				fMax:SetText(max)
			elseif (deficit~=0) and (Options.player.max.mode==1) then
				fMax:SetText("-" ..deficit)
			elseif (deficit~=0) and (Options.player.max.mode==2) then
				fMax:SetText(cur)
			end
		end		
	--hp percent text
		fPer:SetText(string.format("%.0f", (100/max*cur)) .."%")
	--hp deficit text
		if (cur/max)>Options.player.deficit.max
		or (cur/max)<Options.player.deficit.min
		or UnitInParty("party1") and (Options.party.frame.active==1) then
			fDef:Hide() 
		else
			fDef:Show()
			if (Options.player.deficit.format==0) then
				fDef:SetText("-" ..deficit)
			elseif (Options.player.deficit.format==1) then		
				fDef:SetText(string.format("-%.1f", (deficit/1000)))
			end
		end
		this.TimeSinceLastUpdate=0
	end
end

function HP_Target(arg1)
	local unit = "target"
	local tBar = HP_TARGET_BAR_TEXTURE
	local tBG  = HP_TARGET_BG_TEXTURE1
	local tBG2 = HP_TARGET_BG_TEXTURE2
	local fBar = HP_TARGET_BAR
	local fMax = HP_TARGET_MAX
	local fPer = HP_TARGET_PERCENT
	local fDef = HP_TARGET_DEFICIT
	local fNam = HP_TARGET_NAME
	
	local fUn = HP_TARGET_FRAME
	
	this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
	if (this.TimeSinceLastUpdate > Options.update) then
		if (UnitExists(unit)) then
		
		--Color
		ColorHealth(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
		--MobHealth
			local cur, max, found
			local deficit
			if MobHealth3 then
				cur, max, found = MobHealth3:GetUnitHealth(unit, UnitHealth(unit), UnitHealthMax(unit))
				deficit = max-cur
			else
				cur, max = UnitHealth(unit), UnitHealthMax(unit)
				deficit = max-cur
			end
		--hp target bar
			if (cur==0) then
				fBar:SetHeight(1)
			else
				if (max>=cur) then
					fBar:SetHeight(Options.player.frame.bg.height/max*cur)
				else
					fBar:SetHeight(Options.player.frame.bg.height)
				end
			end
		--hp name text
			--UnitNames(unit,fNam)
			NameTarget(unit,fNam)
		--hp max text
			fMax:SetText(max)
		--hp percent text
			fPer:SetText(string.format("%.0f", (100/max*cur)) .."%")
		--hp deficit text
			if (cur/max)>Options.target.deficit.max
			or (cur/max)<Options.target.deficit.min then
				fDef:Hide() 
			else
				fDef:Show()
				if (Options.target.deficit.format==0) then
					fDef:SetText("-" ..deficit)
				elseif (Options.target.deficit.format==1) then		
					fDef:SetText(string.format("-%.1f", (deficit/1000)))
				end
			end
		end
		this.TimeSinceLastUpdate=0
	end
end

function HP_Party1(arg1)	
	local unit = "party1"
	local tBar = HP_PARTY1_BAR_TEXTURE
	local tBG  = HP_PARTY1_BG_TEXTURE1
	local tBG2 = HP_PARTY1_BG_TEXTURE2
	local fBut = HP_Party1_Button
	local fBar = HP_PARTY1_BAR
	local fBG  = HP_PARTY1_FRAME
	local fDef = HP_PARTY1_DEFICIT
	local fNam = HP_PARTY1_NAME
	local fPer = PARTYPERCENT
	
	local fUn = HP_PARTY1_FRAME
	
	if (Options.party.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then
			if (UnitExists(unit)) then	
			--Color
				ColorHealth(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
			--selected
				HighlightSelectedUnit(unit,fBut)
			--Health
			local cur, max = UnitHealth(unit), UnitHealthMax(unit)
			local deficit = max-cur
			--hp bar
				ScalePartyFrame(tBG,tBG2,fBG,fBut)
				ScalePartyBar(fBar,max,cur)
			--hp name text
				--UnitNames(unit,fNam)
				NameParty(unit,fNam)
			--hp deficit text
				DeficitHealthParty(cur,max,fDef,deficit)
			end
			this.TimeSinceLastUpdate=0
		end	
	else
		--disable frame
		DisableFrame(fUn)
	end
end

function HP_Party2(arg1)
	local unit = "party2"
	local tBar = HP_PARTY2_BAR_TEXTURE
	local tBG  = HP_PARTY2_BG_TEXTURE1
	local tBG2 = HP_PARTY2_BG_TEXTURE2
	local fBut = HP_Party2_Button
	local fBar = HP_PARTY2_BAR
	local fBG	= HP_PARTY2_FRAME
	local fDef = HP_PARTY2_DEFICIT
	local fNam = HP_PARTY2_NAME
	local fPer = PARTYPERCENT	
	
	local fUn = HP_PARTY2_FRAME
	
	if (Options.party.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then
			if (UnitExists(unit)) then	
			--Color
				ColorHealth(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
			--selected
				HighlightSelectedUnit(unit,fBut)
			--Health
			local cur, max = UnitHealth(unit), UnitHealthMax(unit)
			local deficit = max-cur
			--hp bar
				ScalePartyFrame(tBG,tBG2,fBG,fBut)
				ScalePartyBar(fBar,max,cur)
			--hp name text
				--UnitNames(unit,fNam)
				NameParty(unit,fNam)
			--hp deficit text
				DeficitHealthParty(cur,max,fDef,deficit)
			end
			this.TimeSinceLastUpdate=0
		end	
	else
		--disable frame
		DisableFrame(fUn)
	end
end

function HP_Party3(arg1)	
	local unit = "party3"
	local tBar = HP_PARTY3_BAR_TEXTURE
	local tBG  = HP_PARTY3_BG_TEXTURE1
	local tBG2 = HP_PARTY3_BG_TEXTURE2
	local fBut = HP_Party3_Button
	local fBar = HP_PARTY3_BAR
	local fBG	 = HP_PARTY3_FRAME
	local fDef = HP_PARTY3_DEFICIT
	local fNam = HP_PARTY3_NAME
	local fPer = PARTYPERCENT
	
	local fUn = HP_PARTY3_FRAME
	
	if (Options.party.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then
			if (UnitExists(unit)) then	
			--Color
				ColorHealth(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
			--selected
				HighlightSelectedUnit(unit,fBut)
			--Health
			local cur, max = UnitHealth(unit), UnitHealthMax(unit)
			local deficit = max-cur
			--hp bar
				ScalePartyFrame(tBG,tBG2,fBG,fBut)
				ScalePartyBar(fBar,max,cur)
			--hp name text
				--UnitNames(unit,fNam)
				NameParty(unit,fNam)
			--hp deficit text
				DeficitHealthParty(cur,max,fDef,deficit)
			end
			this.TimeSinceLastUpdate=0
		end	
	else
		--disable frame
		DisableFrame(fUn)
	end
end

function HP_Party4(arg1)
	local unit = "party4"
	local tBar = HP_PARTY4_BAR_TEXTURE
	local tBG  = HP_PARTY4_BG_TEXTURE1
	local tBG2 = HP_PARTY4_BG_TEXTURE2
	local fBut = HP_Party4_Button
	local fBar = HP_PARTY4_BAR
	local fBG	 = HP_PARTY4_FRAME
	local fDef = HP_PARTY4_DEFICIT
	local fNam = HP_PARTY4_NAME
	local fPer = PARTYPERCENT
	
	local fUn = HP_PARTY4_FRAME
	
	if (Options.party.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then
			if (UnitExists(unit)) then	
			--Color
				ColorHealth(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
			--selected
				HighlightSelectedUnit(unit,fBut)
			--Health
			local cur, max = UnitHealth(unit), UnitHealthMax(unit)
			local deficit = max-cur
			--hp bar
				ScalePartyFrame(tBG,tBG2,fBG,fBut)
				ScalePartyBar(fBar,max,cur)
			--hp name text
				--UnitNames(unit,fNam)
				NameParty(unit,fNam)
			--hp deficit text
				DeficitHealthParty(cur,max,fDef,deficit)
			end
			this.TimeSinceLastUpdate=0
		end	
	else
		--disable frame
		DisableFrame(fUn)
	end
end

function HP_Pet(arg1)
	local unit = "pet"
	local tBar = HP_PET_BAR_TEXTURE
	local tBG  = HP_PET_BG_TEXTURE1
	local tBG2 = HP_PET_BG_TEXTURE2
	local fBut = HP_Pet_Button
	local fBar = HP_PET_BAR
	local fBG	 = HP_PET_FRAME	
	local fMax = HP_PET_MAX
	local fPer = HP_PET_PERCENT
	local fDef = HP_PET_DEFICIT
	local fNam = HP_PET_NAME
	
	local fUn = HP_PET_FRAME
	
	if (Options.pet.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then
			if (UnitExists(unit)) then	
			--Color
				ColorHealth(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
			--selected
				HighlightSelectedUnit(unit,fBut)
			--Health
			local cur, max = UnitHealth(unit), UnitHealthMax(unit)
			local deficit = max-cur
			--hp bar
				if (cur==0) then
					fBar:SetHeight(1)
				else
					if (max>=cur) then
						fBar:SetHeight((Options.player.frame.bg.height/2)/max*cur)
					else
						fBar:SetHeight(Options.player.frame.bg.height/2)
					end
				end
			--hp name text
				--UnitNames(unit,fNam)
				NamePet(unit,fNam)
			--hp max text
				fMax:SetText(max)
			--hp percent text
				fPer:SetText(string.format("%.0f", (100/max*cur)) .."%")
			--hp deficit text
				if (cur/max)>Options.pet.deficit.max
				or (cur/max)<Options.pet.deficit.min then
					fDef:Hide() 
				else
					fDef:Show()
					if (Options.pet.deficit.format==0) then
						fDef:SetText("-" ..deficit)
					elseif (Options.pet.deficit.format==1) then		
						fDef:SetText(string.format("-%.1f", (deficit/1000)))
					end
				end
			end
			this.TimeSinceLastUpdate=0
		end
	else
		--disable frame
		DisableFrame(fUn)
	end
end

function HP_TargetTarget(arg1)
	local unit = "targettarget"
	local tBar = HP_TARGETTARGET_BAR_TEXTURE
	local tBG  = HP_TARGETTARGET_BG_TEXTURE1
	local tBG2 = HP_TARGETTARGET_BG_TEXTURE2
	local fBut = HP_TargetTarget_Button
	local fBar = HP_TARGETTARGET_BAR
	local fBG	 = HP_TARGETTARGET_FRAME	
	local fMax = HP_TARGETTARGET_MAX
	local fPer = HP_TARGETTARGET_PERCENT
	local fDef = HP_TARGETTARGET_DEFICIT
	local fNam = HP_TARGETTARGET_NAME
	
	local fUn = HP_TARGETTARGET_FRAME
	
	if (Options.tt.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then
			if (UnitExists(unit)) then
			--Color
				ColorHealth(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
			--selected
				HighlightSelectedUnit(unit,fBut)
			--MobHealth
				local cur, max, found
				local deficit
				if MobHealth3 then
					cur, max, found = MobHealth3:GetUnitHealth(unit, UnitHealth(unit), UnitHealthMax(unit))
					deficit = max-cur
				else
					cur, max = UnitHealth(unit), UnitHealthMax(unit)
					deficit = max-cur
				end
			--hp bar
				if (cur==0) then
					fBar:SetHeight(1)
				else
					if (max>=cur) then
						fBar:SetHeight((Options.player.frame.bg.height/2)/max*cur)
					else
						fBar:SetHeight(Options.player.frame.bg.height/2)
					end
				end
			--hp name text
				--UnitNames(unit,fNam)
				NameTargetTarget(unit,fNam)
			--hp max text
				fMax:SetText(max)
			--hp percent text
				fPer:SetText(string.format("%.0f", (100/max*cur)) .."%")
			--hp deficit text
				if (cur/max)>Options.tt.deficit.max
				or (cur/max)<Options.tt.deficit.min then
					fDef:Hide() 
				else
					fDef:Show()
					if (Options.tt.deficit.format==0) then
						fDef:SetText("-" ..deficit)
					elseif (Options.tt.deficit.format==1) then		
						fDef:SetText(string.format("-%.1f", (deficit/1000)))
					end
				end
			end
			this.TimeSinceLastUpdate=0
		end
	else
		--disable frame
		DisableFrame(fUn)
	end
end
------------------------------------------------------------------------------------------------------------------
function MP_Player(arg1)
	local unit = "player"
	local tBar = MP_PLAYER_BAR_TEXTURE
	local tBG  = MP_PLAYER_BG_TEXTURE1
	local tBG2 = MP_PLAYER_BG_TEXTURE2
	local fBar = MP_PLAYER_BAR
	local fMax = MP_PLAYER_MAX
	local fPer = MP_PLAYER_PERCENT
	local fDef = MP_PLAYER_DEFICIT
	
	local fUn = MP_PLAYER_FRAME
	
	this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
	if (this.TimeSinceLastUpdate > Options.update) then	
	--Color
		ColorMana(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
	--Health
		local cur, max = UnitMana(unit), UnitManaMax(unit)
		local deficit = max-cur
	--mp bar
		if (cur==0) then
			fBar:SetHeight(1)
		else
			if (max>=cur) then
				fBar:SetHeight(Options.player.frame.bg.height/max*cur)
			else
				fBar:SetHeight(Options.player.frame.bg.height)
			end
		end
	--mp max text
		if (not UnitInParty("party1") or (Options.party.frame.active==0)) then
			fMax:SetText(max)
			ColorPowerType(unit,fMax)
			--DEFAULT_CHAT_FRAME:AddMessage(max)
		else 
			if (deficit==0) then
				fMax:SetText(max)
				ColorPowerType(unit,fMax)
			elseif (deficit~=0) and (Options.player.max.mode==0) then
				fMax:SetText(max)
				ColorPowerType(unit,fMax)
			elseif (deficit~=0) and (Options.player.max.mode==1) then
				fMax:SetText("-" ..deficit)
				ColorPowerType(unit,fMax)
			elseif (deficit~=0) and (Options.player.max.mode==2) then
				fMax:SetText(cur)
				ColorPowerType(unit,fMax)
			end
		end
	--mp percent text
		fPer:SetText(string.format("%.0f", (100/max*cur)) .."%")
	--mp deficit text
		if (cur/max)>Options.player.deficit.max
		or (cur/max)<Options.player.deficit.min
		or UnitInParty("party1") and (Options.party.frame.active==1) then 
			fDef:Hide()
		else
			if (UnitPowerType(unit)==0) then
				fDef:Show()
				if (Options.player.deficit.format==0) then
					fDef:SetText("-" ..deficit)
				elseif (Options.player.deficit.format==1) then
					fDef:SetText(string.format("-%.1f", (deficit/1000)))
				end
			elseif (UnitPowerType(unit)==1)
				or (UnitPowerType(unit)==2)
				or (UnitPowerType(unit)==3) then
					fDef:Show()
					fDef:SetText(cur)
			end
		end
		this.TimeSinceLastUpdate=0
	end
end

function MP_Target(arg1)
	local unit = "target"
	local tBar = MP_TARGET_BAR_TEXTURE
	local tBG  = MP_TARGET_BG_TEXTURE1
	local tBG2 = MP_TARGET_BG_TEXTURE2
	local fBar = MP_TARGET_BAR
	local fMax = MP_TARGET_MAX
	local fPer = MP_TARGET_PERCENT
	local fDef = MP_TARGET_DEFICIT
	
	local fUn = MP_TARGET_FRAME
	
	this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
	if (this.TimeSinceLastUpdate > Options.update) then	
		if (UnitExists(unit)) then	
		--Color
			ColorMana(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
		--Health
			local cur, max = UnitMana(unit), UnitManaMax(unit)
			local deficit = max-cur
		--targettarget
			--ManaFrameTargetTarget()
		--mp bar
			if (cur==0) then
				fBar:SetHeight(1)
			else
				if (max>=cur) then
					fBar:SetHeight(Options.player.frame.bg.height/max*cur)
				else
					fBar:SetHeight(Options.player.frame.bg.height)
				end
			end
		--mp max text
			fMax:SetText(max)
			ColorPowerType(unit,fMax)
		--mp percent text
			fPer:SetText(string.format("%.0f", (100/max*cur)) .."%")
		--mp deficit text
			if (cur/max)>Options.target.deficit.max
			or (cur/max)<Options.target.deficit.min then 
				MP_TARGET_DEFICIT:Hide()
			else
				if (UnitPowerType(unit)==0) then
					fDef:Show()
					if (Options.target.deficit.format==0) then
						fDef:SetText("-" ..deficit)
					elseif (Options.target.deficit.format==1) then	
						fDef:SetText(string.format("-%.1f", (deficit/1000)))
					end
				elseif (UnitPowerType(unit)==1)
					or (UnitPowerType(unit)==2)
					or (UnitPowerType(unit)==3) then
						fDef:Show()
						fDef:SetText(cur)
				end
			end

		end
		this.TimeSinceLastUpdate=0
	end
end

function MP_Party1(arg1)	
	local unit = "party1"
	local tBar = MP_PARTY1_BAR_TEXTURE
	local tBG  = MP_PARTY1_BG_TEXTURE1
	local tBG2 = MP_PARTY1_BG_TEXTURE2
	local fBut = MP_Party1_Button
	local fBar = MP_PARTY1_BAR
	local fBG	= MP_PARTY1_FRAME
	local fDef = MP_PARTY1_DEFICIT
	local fPer = PARTYPERCENT
	
	local fUn = MP_PARTY1_FRAME
	
	if (Options.party.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then	
			if (UnitExists(unit)) then
		--Color
			ColorMana(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
		--Health
			local cur, max = UnitMana(unit), UnitManaMax(unit)
			local deficit = max-cur
			--mp bar
				ScalePartyFrame(tBG,tBG2,fBG,fBut)
				ScalePartyBar(fBar,max,cur)
			--mp deficit text
				DeficitManaParty(unit,cur,max,fDef,deficit)
			end
			this.TimeSinceLastUpdate=0
		end
	else
		--disable frame
		DisableFrame(fUn)
	end
end

function MP_Party2(arg1)
	local unit = "party2"
	local tBar = MP_PARTY2_BAR_TEXTURE
	local tBG  = MP_PARTY2_BG_TEXTURE1
	local tBG2 = MP_PARTY2_BG_TEXTURE2
	local fBut = MP_Party2_Button
	local fBar = MP_PARTY2_BAR
	local fBG	 = MP_PARTY2_FRAME
	local fDef = MP_PARTY2_DEFICIT
	local fPer = PARTYPERCENT
	
	local fUn = MP_PARTY2_FRAME
	
	if (Options.party.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then	
			if (UnitExists(unit)) then
		--Color
			ColorMana(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
		--Health
			local cur, max = UnitMana(unit), UnitManaMax(unit)
			local deficit = max-cur
			--mp bar
				ScalePartyFrame(tBG,tBG2,fBG,fBut)
				ScalePartyBar(fBar,max,cur)
			--mp deficit text
				DeficitManaParty(unit,cur,max,fDef,deficit)
			end
			this.TimeSinceLastUpdate=0
		end
	else
		--disable frame
		DisableFrame(fUn)
	end
end

function MP_Party3(arg1)
	local unit = "party3"
	local tBar = MP_PARTY3_BAR_TEXTURE
	local tBG  = MP_PARTY3_BG_TEXTURE1
	local tBG2 = MP_PARTY3_BG_TEXTURE2
	local fBut = MP_Party3_Button
	local fBar = MP_PARTY3_BAR
	local fBG	 = MP_PARTY3_FRAME
	local fDef = MP_PARTY3_DEFICIT
	local fPer = PARTYPERCENT
	
	local fUn = MP_PARTY3_FRAME
	
	if (Options.party.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then	
			if (UnitExists(unit)) then
		--Color
			ColorMana(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
		--Health
			local cur, max = UnitMana(unit), UnitManaMax(unit)
			local deficit = max-cur
			--mp bar
				ScalePartyFrame(tBG,tBG2,fBG,fBut)
				ScalePartyBar(fBar,max,cur)
			--mp deficit text
				DeficitManaParty(unit,cur,max,fDef,deficit)
			end
			this.TimeSinceLastUpdate=0
		end
	else
		--disable frame
		DisableFrame(fUn)
	end
end

function MP_Party4(arg1)
	local unit = "party4"
	local tBar = MP_PARTY4_BAR_TEXTURE
	local tBG  = MP_PARTY4_BG_TEXTURE1
	local tBG2 = MP_PARTY4_BG_TEXTURE2
	local fBut = MP_Party4_Button
	local fBar = MP_PARTY4_BAR
	local fBG	= MP_PARTY4_FRAME
	local fDef = MP_PARTY4_DEFICIT
	local fPer = PARTYPERCENT
	
	local fUn = MP_PARTY4_FRAME
	
	if (Options.party.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then	
			if (UnitExists(unit)) then
		--Color
			ColorMana(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
		--Health
			local cur, max = UnitMana(unit), UnitManaMax(unit)
			local deficit = max-cur
			--mp bar
				ScalePartyFrame(tBG,tBG2,fBG,fBut)
				ScalePartyBar(fBar,max,cur)
			--mp deficit text
				DeficitManaParty(unit,cur,max,fDef,deficit)
			end
			this.TimeSinceLastUpdate=0
		end
	else
		--disable frame
		DisableFrame(fUn)
	end
end

function MP_Pet(arg1)
	local unit = "pet"
	local tBar = MP_PET_BAR_TEXTURE
	local tBG  = MP_PET_BG_TEXTURE1	
	local tBG2 = MP_PET_BG_TEXTURE2
	local fBut = MP_Pet_Button
	local fBar = MP_PET_BAR
	local fBG	 = MP_PET_FRAME	
	local fMax = MP_PET_MAX
	local fPer = MP_PET_PERCENT
	local fDef = MP_PET_DEFICIT
	
	local fUn = MP_PET_FRAME
	
	if (Options.pet.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then	
			if (UnitExists(unit)) then	
			--Color
				ColorMana(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
			--Health
			local cur, max = UnitMana(unit), UnitManaMax(unit)
			local deficit = max-cur	
			--mp bar
				if (cur==0) then
					fBar:SetHeight(1)
				else
					if (max>=cur) then
						fBar:SetHeight((Options.player.frame.bg.height/2)/max*cur)
					else
						fBar:SetHeight(Options.player.frame.bg.height/2)
					end
				end
			--mp max text
				fMax:SetText(max)
				ColorPowerType(unit,fMax)
			--mp percent text
				fPer:SetText(string.format("%.0f", (100/max*cur)) .."%")
			--mp deficit text
				if (cur/max)>Options.pet.deficit.max
				or (cur/max)<Options.pet.deficit.min then 
					fDef:Hide()
				else
					if (UnitPowerType(unit)==0) then
						fDef:Show()
						if (Options.pet.deficit.format==0) then
							fDef:SetText("-" ..deficit)
						elseif (Options.pet.deficit.format==1) then		
							fDef:SetText(string.format("-%.1f", (deficit/1000)))
						end
					elseif (UnitPowerType(unit)==1)
						or (UnitPowerType(unit)==2)
						or (UnitPowerType(unit)==3) then
							fDef:Show()
							fDef:SetText(cur)
					end
				end
			end
			this.TimeSinceLastUpdate=0
		end
	else
		--disable frame
		DisableFrame(fUn)
	end
end

function MP_TargetTarget(arg1)
	local unit = "targettarget"
	local tBar = MP_TARGETTARGET_BAR_TEXTURE
	local tBG  = MP_TARGETTARGET_BG_TEXTURE1
	local tBG2 = MP_TARGETTARGET_BG_TEXTURE2	
	local fBut = MP_TargetTarget_Button
	local fBar = MP_TARGETTARGET_BAR
	local fBG	= MP_TARGETTARGET_FRAME	
	local fMax = MP_TARGETTARGET_MAX
	local fPer = MP_TARGETTARGET_PERCENT
	local fDef = MP_TARGETTARGET_DEFICIT
	
	local fUn = MP_TARGETTARGET_FRAME
	
	if (Options.tt.frame.active==1) then
		--enable frame
		EnableFrame(fUn)
		
		this.TimeSinceLastUpdate=this.TimeSinceLastUpdate + arg1
		if (this.TimeSinceLastUpdate > Options.update) then	
			if (UnitExists(unit)) then
			--Color
				ColorMana(unit,tBar,tBG,tBG2,fPer,fDef, fUn)
			--Health
			local cur, max = UnitMana(unit), UnitManaMax(unit)
			local deficit = max-cur	
			--mp bar
				if (cur==0) then
					fBar:SetHeight(1)
				else
					if (max>=cur) then
						fBar:SetHeight((Options.player.frame.bg.height/2)/max*cur)
					else
						fBar:SetHeight(Options.player.frame.bg.height/2)
					end
				end
			--mp max text
				fMax:SetText(max)
				ColorPowerType(unit,fMax)
			--mp percent text
				fPer:SetText(string.format("%.0f", (100/max*cur)) .."%")
			--mp deficit text
				if (cur/max)>Options.tt.deficit.max
				or (cur/max)<Options.tt.deficit.min then 
					fDef:Hide()
				else
					if (UnitPowerType(unit)==0) then
						fDef:Show()
						if (Options.tt.deficit.format==0) then
							fDef:SetText("-" ..deficit)
						elseif (Options.tt.deficit.format==1) then		
							fDef:SetText(string.format("-%.1f", (deficit/1000)))
						end
					elseif (UnitPowerType(unit)==1)
						or (UnitPowerType(unit)==2)
						or (UnitPowerType(unit)==3) then
							fDef:Show()
							fDef:SetText(cur)
					end
				end
			end
			this.TimeSinceLastUpdate=0
		end
	else
		--disable frame
		DisableFrame(fUn)
	end
end
---------------------------------------------------------
function DisableFrame(fUn)
	if (fUn:IsMouseEnabled()) then
		fUn:SetAlpha(0)
		fUn:EnableMouse(false)
		--DEFAULT_CHAT_FRAME:AddMessage("disabled")
	end
end

function EnableFrame(fUn)
	if (not fUn:IsMouseEnabled()) then
		fUn:SetAlpha(Colors.mp100.a)
		fUn:EnableMouse(true)
		--DEFAULT_CHAT_FRAME:AddMessage("enabled")
	end
end
---------------------------------------------------------
function HighlightSelectedUnit(unit,fBut)
	if (UnitIsUnit(unit,"target")==1)  then
	--	DEFAULT_CHAT_FRAME:AddMessage("true")
		fBut:LockHighlight()
	elseif (UnitIsUnit(unit,"target")==nil) then
	--	DEFAULT_CHAT_FRAME:AddMessage("false")
		fBut:UnlockHighlight()
	end
end
---------------------------------------------------------
--[[			
function MyFrame:OnUpdate()  
	-- Some code  
	if self:GetScale() ~= x then  
		self:DoScaling(x);  
	end  
	-- More code  
end  
	  
function MyFrame:DoScaling(x)  
	if ~InCombatLockdown() then  
		self:SetScale(x)  
	end  
end 
--]]


